local EventFrame = CreateFrame("Frame", "ShowMeiLvl", UIParent)
EventFrame:SetScript("OnEvent", function(self, event, WhichAddon)
	self[event](self, WhichAddon)
end)
EventFrame:RegisterEvent("ADDON_LOADED")

local FramePlacement = {
["InspectHeadSlot"] = "LEFT",
["InspectNeckSlot"] = "LEFT",
["InspectShoulderSlot"] = "LEFT",
["InspectShirtSlot"] = "LEFT",
["InspectChestSlot"] = "LEFT",
["InspectWaistSlot"] = "RIGHT",
["InspectLegsSlot"] = "RIGHT",
["InspectFeetSlot"] = "RIGHT",
["InspectWristSlot"] = "LEFT",
["InspectHandsSlot"] = "RIGHT",
["InspectFinger0Slot"] = "RIGHT",
["InspectFinger1Slot"] = "RIGHT",
["InspectTrinket0Slot"] = "RIGHT",
["InspectTrinket1Slot"] = "RIGHT",
["InspectBackSlot"] = "LEFT",
["InspectMainHandSlot"] = "BOTTOM",
["InspectSecondaryHandSlot"] = "BOTTOM",
["InspectRangedSlot"] = "BOTTOM",
["InspectTabardSlot"] = "LEFT"}

local SelfInventorySlots = {}
local InspectInventorySlots = {}
local AverageiLvlStuffSelf = {}
local AverageiLvlStuff = {}
function EventFrame:ADDON_LOADED(WhichAddon)
	if WhichAddon == "ShowMeiLvl" then
		hooksecurefunc("OpenMailFrame_UpdateButtonPositions", OpenMailFrame_UpdateButtonPositionsIlvl)
	
		local AvgiLvl = PaperDollFrame:CreateFontString(nil, "OVERLAY")
		local font, _, flags = NumberFontNormal:GetFont()
		AvgiLvl:SetFont(font, 16, flags)
		AvgiLvl:SetPoint("TOPLEFT", PaperDollFrame, "TOPLEFT", 16, -16)
		PaperDollFrame.iLvl = AvgiLvl
	
		SelfInventorySlots = {
		[1] = CharacterHeadSlot,
		[2] = CharacterNeckSlot,
		[3] = CharacterShoulderSlot,
		[4] = CharacterShirtSlot,
		[5] = CharacterChestSlot,
		[6] = CharacterWaistSlot,
		[7] = CharacterLegsSlot,
		[8] = CharacterFeetSlot,
		[9] = CharacterWristSlot,
		[10] = CharacterHandsSlot,
		[11] = CharacterFinger0Slot,
		[12] = CharacterFinger1Slot,
		[13] = CharacterTrinket0Slot,
		[14] = CharacterTrinket1Slot,
		[15] = CharacterBackSlot,
		[16] = CharacterMainHandSlot,
		[17] = CharacterSecondaryHandSlot,
		[18] = CharacterRangedSlot,
		[19] = CharacterTabardSlot}
		for i = 1, 19 do	
			local fontstr = SelfInventorySlots[i]:CreateFontString(nil, "OVERLAY")
			local font, _, flags = NumberFontNormal:GetFont()
			fontstr:SetFont(font, 16, flags)
			fontstr:SetPoint("CENTER", SelfInventorySlots[i], "CENTER", 0, 0)
			SelfInventorySlots[i].iLvl = fontstr
		end
		
		PaperDollFrame:HookScript("OnShow", PaperDollFrame_ShowIlvl)
		EventFrame:RegisterEvent("UNIT_INVENTORY_CHANGED")
	end
	if WhichAddon == "Blizzard_InspectUI" then
		local AvgiLvl = InspectPaperDollFrame:CreateFontString(nil, "OVERLAY")
		local font, _, flags = NumberFontNormal:GetFont()
		AvgiLvl:SetFont(font, 16, flags)
		AvgiLvl:SetPoint("TOPLEFT", InspectPaperDollFrame, "TOPLEFT", 16, -16)
		InspectPaperDollFrame.iLvl = AvgiLvl
			
		InspectInventorySlots = {
		[1] = InspectHeadSlot,
		[2] = InspectNeckSlot,
		[3] = InspectShoulderSlot,
		[4] = InspectShirtSlot,
		[5] = InspectChestSlot,
		[6] = InspectWaistSlot,
		[7] = InspectLegsSlot,
		[8] = InspectFeetSlot,
		[9] = InspectWristSlot,
		[10] = InspectHandsSlot,
		[11] = InspectFinger0Slot,
		[12] = InspectFinger1Slot,
		[13] = InspectTrinket0Slot,
		[14] = InspectTrinket1Slot,
		[15] = InspectBackSlot,
		[16] = InspectMainHandSlot,
		[17] = InspectSecondaryHandSlot,
		[18] = InspectRangedSlot,
		[19] = InspectTabardSlot}
		for i = 1, 19 do	
			local fontstr = InspectInventorySlots[i]:CreateFontString(nil, "OVERLAY")
			local font, _, flags = NumberFontNormal:GetFont()
			fontstr:SetFont(font, 16, flags)
			fontstr:SetPoint("CENTER", InspectInventorySlots[i], "CENTER", 0, 0)
			InspectInventorySlots[i].iLvl = fontstr
		end
		
		--------------------------------
		-- Enchant
		--------------------------------
		
		for i = 1, 15 do	
			local fontstr = InspectInventorySlots[i]:CreateFontString(nil, "OVERLAY")
			local font, _, flags = NumberFontNormal:GetFont()
			fontstr:SetFont(font, 12, flags)
			
			local FrameName = InspectInventorySlots[i]:GetName()
			if FramePlacement[FrameName] == "LEFT" then
				fontstr:SetPoint("TOPLEFT", InspectInventorySlots[i], "TOPRIGHT", 0, 0)
			elseif FramePlacement[FrameName] == "RIGHT" then
				fontstr:SetPoint("TOPRIGHT", InspectInventorySlots[i], "TOPLEFT", -2, 0)
			else
				fontstr:SetPoint("CENTER", InspectInventorySlots[i], "CENTER", 0, 0)
			end
			
			InspectInventorySlots[i].Enchant = fontstr
		end
		
		local fontstr16 = InspectInventorySlots[16]:CreateFontString(nil, "OVERLAY")
		local font, _, flags = NumberFontNormal:GetFont()
		fontstr16:SetFont(font, 12, flags)
		fontstr16:SetPoint("TOPRIGHT", InspectInventorySlots[16], "BOTTOMRIGHT", 0, 0)
		InspectInventorySlots[16].Enchant = fontstr16
		
		local fontstr17 = InspectInventorySlots[17]:CreateFontString(nil, "OVERLAY")
		local font, _, flags = NumberFontNormal:GetFont()
		fontstr17:SetFont(font, 12, flags)
		fontstr17:SetPoint("BOTTOM", InspectInventorySlots[17], "TOP", 0, 0)
		InspectInventorySlots[17].Enchant = fontstr17
		
		local fontstr18 = InspectInventorySlots[18]:CreateFontString(nil, "OVERLAY")
		local font, _, flags = NumberFontNormal:GetFont()
		fontstr18:SetFont(font, 12, flags)
		fontstr18:SetPoint("TOPLEFT", InspectInventorySlots[18], "BOTTOMLEFT", 0, 0)
		InspectInventorySlots[18].Enchant = fontstr18
		
		--------------------------------
		-- Gem1
		--------------------------------
		
		for i = 1, 18 do	
			local fontstr = InspectInventorySlots[i]:CreateFontString(nil, "OVERLAY")
			local font, _, flags = NumberFontNormal:GetFont()
			fontstr:SetFont(font, 12, flags)
			
			local FrameName = InspectInventorySlots[i]:GetName()
			if FramePlacement[FrameName] == "LEFT" then
				fontstr:SetPoint("TOPLEFT", InspectInventorySlots[i].Enchant, "BOTTOMLEFT", 0, 0)
			elseif FramePlacement[FrameName] == "RIGHT" then
				fontstr:SetPoint("TOPRIGHT", InspectInventorySlots[i].Enchant, "BOTTOMRIGHT", 0, 0)
			else
				--fontstr:SetPoint("CENTER", InspectInventorySlots[i], "CENTER", 0, -12)
			end	
			InspectInventorySlots[i].gem1 = fontstr
		end
		
		--------------------------------
		-- Gem2
		--------------------------------
		
		for i = 1, 18 do	
			local fontstr = InspectInventorySlots[i]:CreateFontString(nil, "OVERLAY")
			local font, _, flags = NumberFontNormal:GetFont()
			fontstr:SetFont(font, 12, flags)
			
			local FrameName = InspectInventorySlots[i]:GetName()
			if FramePlacement[FrameName] == "LEFT" then
				fontstr:SetPoint("TOPLEFT", InspectInventorySlots[i].gem1, "BOTTOMLEFT", 0, 0)
			elseif FramePlacement[FrameName] == "RIGHT" then
				fontstr:SetPoint("TOPRIGHT", InspectInventorySlots[i].gem1, "BOTTOMRIGHT", 0, 0)
			else
				--fontstr:SetPoint("CENTER", InspectInventorySlots[i], "CENTER", 0, -24)
			end	
			InspectInventorySlots[i].gem2 = fontstr
		end
		
		--------------------------------
		-- Gem3
		--------------------------------
		
		for i = 1, 18 do	
			local fontstr = InspectInventorySlots[i]:CreateFontString(nil, "OVERLAY")
			local font, _, flags = NumberFontNormal:GetFont()
			fontstr:SetFont(font, 12, flags)
			
			local FrameName = InspectInventorySlots[i]:GetName()
			if FramePlacement[FrameName] == "LEFT" then
				fontstr:SetPoint("TOPLEFT", InspectInventorySlots[i].gem2, "BOTTOMLEFT", 0, 0)
			elseif FramePlacement[FrameName] == "RIGHT" then
				fontstr:SetPoint("TOPRIGHT", InspectInventorySlots[i].gem2, "BOTTOMRIGHT", 0, 0)
			else
				--fontstr:SetPoint("CENTER", InspectInventorySlots[i], "CENTER", 0, -36)
			end		
			InspectInventorySlots[i].gem3 = fontstr
		end
		
		--------------------------------
		-- Belt fix (can have 4 things, so overlaps legs)
		--------------------------------
		InspectInventorySlots[10].Enchant:SetPoint("TOPRIGHT", InspectInventorySlots[10], "TOPLEFT", -2, 8) --move gloves too
		InspectInventorySlots[6].Enchant:SetPoint("TOPRIGHT", InspectInventorySlots[6], "TOPLEFT", -2, 8)
		InspectInventorySlots[7].Enchant:SetPoint("TOPRIGHT", InspectInventorySlots[7], "TOPLEFT", -2, 8)

		InspectPaperDollFrame:HookScript("OnShow", InspectPaperDollFrame_ShowIlvl) --needed twice to show it on first open though this doesn't work properly.
		hooksecurefunc("InspectPaperDollFrame_OnShow", InspectPaperDollFrame_ShowIlvl)
	end
end

function PaperDollFrame_ShowIlvl()
	AverageiLvlStuffSelf.Total = 0
	AverageiLvlStuffSelf.Count = 0
	for i = 1, 19 do						
		local itemLink = GetInventoryItemLink("player", i)
		if itemLink ~= nil then
			local iLvl = select(4, GetItemInfo(itemLink))			
			if not (i == 4 or i == 19 or iLvl == nil) then
				AverageiLvlStuffSelf.Total = AverageiLvlStuffSelf.Total + tonumber(iLvl)
				AverageiLvlStuffSelf.Count = AverageiLvlStuffSelf.Count + 1
			end
			SelfInventorySlots[i].iLvl:SetText(iLvl)
		else
			SelfInventorySlots[i].iLvl:SetText("")
		end	
	end
	if AverageiLvlStuffSelf.Count > 0 then
		PaperDollFrame.iLvl:SetText("Average ilvl: "..math.floor(AverageiLvlStuffSelf.Total / AverageiLvlStuffSelf.Count + 0.5))
	else
		PaperDollFrame.iLvl:SetText("")
	end
end

function EventFrame:UNIT_INVENTORY_CHANGED(Unit)
	if Unit == "player" then
		PaperDollFrame_ShowIlvl()
	end
end

function OpenMailFrame_UpdateButtonPositionsIlvl()
	for i = 1, ATTACHMENTS_MAX_RECEIVE do
		local button = _G["OpenMailAttachmentButton"..i]
		if button then
			local itemLink = GetInboxItemLink(InboxFrame.openMailID, i)
			if itemLink ~= nil then
				if button.iLvl == nil then
					local buttoniLvl = button:CreateFontString(nil, "OVERLAY")
					local font, _, flags = NumberFontNormal:GetFont()
					buttoniLvl:SetFont(font, 14, flags)
					buttoniLvl:SetPoint("CENTER")
					button.iLvl = buttoniLvl
				end 
				
				local iLvl = select(4, GetItemInfo(itemLink))
				button.iLvl:SetText(iLvl)
			end		
		end
	end
end

function InspectPaperDollFrame_ShowIlvl()
	AverageiLvlStuff.Total = 0
	AverageiLvlStuff.Count = 0
	for x = 1, 19 do
		local itemLink = GetInventoryItemLink("target", x)
		if itemLink ~= nil then
			local iLvl = select(4, GetItemInfo(itemLink))
			InspectInventorySlots[x].iLvl:SetText(iLvl)
					
			if not (x == 4 or x == 19 or iLvl == nil) then
				AverageiLvlStuff.Total = AverageiLvlStuff.Total + tonumber(iLvl)
				AverageiLvlStuff.Count = AverageiLvlStuff.Count + 1
						
				local itemID, enchantID, gem1, gem2, gem3, gem4 = itemLink:match("item:(%d+):(%d+):(%d+):(%d+):(%d+):(%d+)")
				if (tonumber(enchantID) > 0) then
					InspectInventorySlots[x].Enchant:SetText(EnchantIDs[enchantID]) 
				else
					InspectInventorySlots[x].Enchant:SetText("") 
				end
				if (tonumber(gem1) > 0) then 
					InspectInventorySlots[x].gem1:SetText(EnchantIDs[gem1]) 
				else
					InspectInventorySlots[x].gem1:SetText("") 
				end
				if (tonumber(gem2) > 0) then
					InspectInventorySlots[x].gem2:SetText(EnchantIDs[gem2])
				else
					InspectInventorySlots[x].gem2:SetText("")
				end
				if (tonumber(gem3) > 0) then
					InspectInventorySlots[x].gem3:SetText(EnchantIDs[gem3])
				else
					InspectInventorySlots[x].gem3:SetText("")
				end
			end
		else
			InspectInventorySlots[x].iLvl:SetText("")
			if x < 19 then
				InspectInventorySlots[x].Enchant:SetText("") 
				InspectInventorySlots[x].gem1:SetText("")
				InspectInventorySlots[x].gem2:SetText("")
				InspectInventorySlots[x].gem3:SetText("")
			end
		end
	end
	if AverageiLvlStuff.Count > 0 then
		InspectPaperDollFrame.iLvl:SetText("Average ilvl: "..math.floor(AverageiLvlStuff.Total / AverageiLvlStuff.Count + 0.5))
	else
		InspectPaperDollFrame.iLvl:SetText("")
	end
end

EnchantIDs = {
["1"] = "Rockbiter 3",
["2"] = "Frostbrand 1",
["3"] = "Flametongue 3",
["4"] = "Flametongue 2",
["5"] = "Flametongue 1",
["6"] = "Rockbiter 2",
["7"] = "Deadly Poison",
["8"] = "Deadly Poison II",
["9"] = "Poison (15 Dmg)",
["10"] = "Poison (20 Dmg)",
["11"] = "Poison (25 Dmg)",
["12"] = "Frostbrand 2",
["13"] = "Sharpened (+3 Damage)",
["14"] = "Sharpened (+4 Damage)",
["15"] = "Reinforced (+8 Armor)",
["16"] = "Reinforced (+16 Armor)",
["17"] = "Reinforced (+24 Armor)",
["18"] = "Reinforced (+32 Armor)",
["19"] = "Weighted (+2 Damage)",
["20"] = "Weighted (+3 Damage)",
["21"] = "Weighted (+4 Damage)",
["22"] = "Crippling Poison",
["23"] = "Mind-numbing Poison II",
["24"] = "+5 Mana",
["25"] = "Shadow Oil",
["26"] = "Frost Oil",
["27"] = "Sundered",
["28"] = "+4 All Ress",
["29"] = "Rockbiter 1",
["30"] = "Scope (+1 Damage)",
["31"] = "+4 Beastslaying",
["32"] = "Scope (+2 Damage)",
["33"] = "Scope (+3 Damage)",
["34"] = "Counterweight (+20 Haste)",
["35"] = "Mind Numbing Poison",
["36"] = "Enchant: Fiery Blaze",
["37"] = "Steel Weapon Chain",
["38"] = "+5 Def",
["39"] = "Sharpened (+1 Damage)",
["40"] = "Sharpened (+2 Damage)",
["41"] = "+5 Health",
["42"] = "Poison (Instant 20)",
["43"] = "Iron Spike (8-12)",
["44"] = "Absorption (10)",
["63"] = "Absorption (25)",
["64"] = "+3 Spirit",
["65"] = "+1 All Ress",
["66"] = "+1 Stamina",
["67"] = "+1 Damage",
["68"] = "+1 Str",
["69"] = "+2 Str",
["70"] = "+3 Str",
["71"] = "+1 Stamina",
["72"] = "+2 Stamina",
["73"] = "+3 Stamina",
["74"] = "+1 Agi",
["75"] = "+2 Agi",
["76"] = "+3 Agi",
["77"] = "+2 Damage",
["78"] = "+3 Damage",
["79"] = "+1 Int",
["80"] = "+2 Int",
["81"] = "+3 Int",
["82"] = "+1 Spirit",
["83"] = "+2 Spirit",
["84"] = "+3 Spirit",
["85"] = "+3 Armor",
["86"] = "+8 Armor",
["87"] = "+12 Armor",
["89"] = "+16 Armor",
["90"] = "+4 Agi",
["91"] = "+5 Agi",
["92"] = "+6 Agi",
["93"] = "+7 Agi",
["94"] = "+4 Int",
["95"] = "+5 Int",
["96"] = "+6 Int",
["97"] = "+7 Int",
["98"] = "+4 Spirit",
["99"] = "+5 Spirit",
["100"] = "+6 Spirit",
["101"] = "+7 Spirit",
["102"] = "+4 Stamina",
["103"] = "+5 Stamina",
["104"] = "+6 Stamina",
["105"] = "+7 Stamina",
["106"] = "+4 Str",
["107"] = "+5 Str",
["108"] = "+6 Str",
["109"] = "+7 Str",
["110"] = "+1 Def",
["111"] = "+2 Def",
["112"] = "+3 Def",
["113"] = "+4 Def",
["114"] = "+5 Def",
["115"] = "+6 Def",
["116"] = "+7 Def",
["117"] = "+4 Damage",
["118"] = "+5 Damage",
["119"] = "+6 Damage",
["120"] = "+7 Damage",
["121"] = "+20 Armor",
["122"] = "+24 Armor",
["123"] = "+28 Armor",
["124"] = "Flametongue Totem 1",
["125"] = "+1 Sword Skill",
["126"] = "+2 Sword Skill",
["127"] = "+3 Sword Skill",
["128"] = "+4 Sword Skill",
["129"] = "+5 Sword Skill",
["130"] = "+6 Sword Skill",
["131"] = "+7 Sword Skill",
["132"] = "+1 Two-Handed Sword Skill",
["133"] = "+2 Two-Handed Sword Skill",
["134"] = "+3 Two-Handed Sword Skill",
["135"] = "+4 Two-Handed Sword Skill",
["136"] = "+5 Two-Handed Sword Skill",
["137"] = "+6 Two-Handed Sword Skill",
["138"] = "+7 Two-Handed Sword Skill",
["139"] = "+1 Mace Skill",
["140"] = "+2 Mace Skill",
["141"] = "+3 Mace Skill",
["142"] = "+4 Mace Skill",
["143"] = "+5 Mace Skill",
["144"] = "+6 Mace Skill",
["145"] = "+7 Mace Skill",
["146"] = "+1 Two-Handed Mace Skill",
["147"] = "+2 Two-Handed Mace Skill",
["148"] = "+3 Two-Handed Mace Skill",
["149"] = "+4 Two-Handed Mace Skill",
["150"] = "+5 Two-Handed Mace Skill",
["151"] = "+6 Two-Handed Mace Skill",
["152"] = "+7 Two-Handed Mace Skill",
["153"] = "+1 Axe Skill",
["154"] = "+2 Axe Skill",
["155"] = "+3 Axe Skill",
["156"] = "+4 Axe Skill",
["157"] = "+5 Axe Skill",
["158"] = "+6 Ase Skill",
["159"] = "+7 Axe Skill",
["160"] = "+1 Two-Handed Axe Skill",
["161"] = "+2 Two-Handed Axe Skill",
["162"] = "+3 Two-Handed Axe Skill",
["163"] = "+4 Two-Handed Axe Skill",
["164"] = "+5 Two-Handed Axe Skill",
["165"] = "+6 Two-Handed Axe Skill",
["166"] = "+7 Two-Handed Axe Skill",
["167"] = "+1 Dagger Skill",
["168"] = "+2 Dagger Skill",
["169"] = "+3 Dagger Skill",
["170"] = "+4 Dagger Skill",
["171"] = "+5 Dagger Skill",
["172"] = "+6 Dagger Skill",
["173"] = "+7 Dagger Skill",
["174"] = "+1 Gun Skill",
["175"] = "+2 Gun Skill",
["176"] = "+3 Gun Skill",
["177"] = "+4 Gun Skill",
["178"] = "+5 Gun Skill",
["179"] = "+6 Gun Skill",
["180"] = "+7 Gun Skill",
["181"] = "+1 Bow Skill",
["182"] = "+2 Bow Skill",
["183"] = "+3 Bow Skill",
["184"] = "+4 Bow Skill",
["185"] = "+5 Bow Skill",
["186"] = "+6 Bow Skill",
["187"] = "+7 Bow Skill",
["188"] = "+2 Beast Slaying",
["189"] = "+4 Beast Slaying",
["190"] = "+6 Beast Slaying",
["191"] = "+8 Beast Slaying",
["192"] = "+10 Beast Slaying",
["193"] = "+12 Beast Slaying",
["194"] = "+14 Beast Slaying",
["195"] = "+14 Crit",
["196"] = "+28 Crit",
["197"] = "+42 Crit",
["198"] = "+56 Crit",
["199"] = "10% On Get Hit: Shadow Bolt (10 Damage)",
["200"] = "10% On Get Hit: Shadow Bolt (20 Damage)",
["201"] = "10% On Get Hit: Shadow Bolt (30 Damage)",
["202"] = "10% On Get Hit: Shadow Bolt (40 Damage)",
["203"] = "10% On Get Hit: Shadow Bolt (50 Damage)",
["204"] = "10% On Get Hit: Shadow Bolt (60 Damage)",
["205"] = "10% On Get Hit: Shadow Bolt (70 Damage)",
["206"] = "+1 SP",
["207"] = "+2 SP",
["208"] = "+4 SP",
["209"] = "+5 SP",
["210"] = "+6 SP",
["211"] = "+7 SP",
["212"] = "+8 SP",
["213"] = "+1 Fire Spell Damage",
["214"] = "+3 Fire Spell Damage",
["215"] = "+4 Fire Spell Damage",
["216"] = "+6 Fire Spell Damage",
["217"] = "+7 Fire Spell Damage",
["218"] = "+9 Fire Spell Damage",
["219"] = "+10 Fire Spell Damage",
["220"] = "+1 Nature Spell Damage",
["221"] = "+3 Nature Spell Damage",
["222"] = "+4 Nature Spell Damage",
["223"] = "+6 Nature Spell Damage",
["224"] = "+7 Nature Spell Damage",
["225"] = "+9 Nature Spell Damage",
["226"] = "+10 Nature Spell Damage",
["227"] = "+1 Frost Spell Damage",
["228"] = "+3 Frost Spell Damage",
["229"] = "+4 Frost Spell Damage",
["230"] = "+6 Frost Spell Damage",
["231"] = "+7 Frost Spell Damage",
["232"] = "+9 Frost Spell Damage",
["233"] = "+10 Frost Spell Damage",
["234"] = "+1 Shadow Spell Damage",
["235"] = "+3 Shadow Spell Damage",
["236"] = "+4 Shadow Spell Damage",
["237"] = "+6 Shadow Spell Damage",
["238"] = "+7 Shadow Spell Damage",
["239"] = "+9 Shadow Spell Damage",
["240"] = "+10 Shadow Spell Damage",
["241"] = "+2 Weapon Damage",
["242"] = "+15 Health",
["243"] = "+1 Spirit",
["244"] = "+4 Int",
["245"] = "+5 Armor",
["246"] = "+20 Mana",
["247"] = "+1 Agi",
["248"] = "+1 Str",
["249"] = "+2 Beastslaying",
["250"] = "+1 Weapon Damage",
["251"] = "+1 Int",
["252"] = "+6 Spirit",
["253"] = "Absorption (50)",
["254"] = "+25 Health",
["255"] = "+3 Spirit",
["256"] = "+5 Fire Res",
["257"] = "+10 Armor",
["263"] = "Fishing Lure (+25 Fishing Skill)",
["264"] = "Fishing Lure (+50 Fishing Skill)",
["265"] = "Fishing Lure (+75 Fishing Skill)",
["266"] = "Fishing Lure (+100 Fishing Skill)",
["283"] = "Windfury 1",
["284"] = "Windfury 2",
["285"] = "Flametongue Totem 2",
["286"] = "+2 Weapon Fire Damage",
["287"] = "+4 Weapon Fire Damage",
["288"] = "+6 Weapon Fire Damage",
["289"] = "+8 Weapon Fire Damage",
["290"] = "+10 Weapon Fire Damage",
["291"] = "+12 Weapon Fire Damage",
["292"] = "+14 Weapon Fire Damage",
["303"] = "Orb of Fire",
["323"] = "Instant Poison",
["324"] = "Instant Poison II",
["325"] = "Instant Poison III",
["343"] = "+8 Agi",
["344"] = "+32 Armor",
["345"] = "+40 Armor",
["346"] = "+36 Armor",
["347"] = "+44 Armor",
["348"] = "+48 Armor",
["349"] = "+9 Agi",
["350"] = "+8 Int",
["351"] = "+8 Spirit",
["352"] = "+8 Str",
["353"] = "+8 Stamina",
["354"] = "+9 Int",
["355"] = "+9 Spirit",
["356"] = "+9 Stamina",
["357"] = "+9 Str",
["358"] = "+10 Agi",
["359"] = "+10 Int",
["360"] = "+10 Spirit",
["361"] = "+10 Stamina",
["362"] = "+10 Str",
["363"] = "+11 Agi",
["364"] = "+11 Int",
["365"] = "+11 Spirit",
["366"] = "+11 Stamina",
["367"] = "+11 Str",
["368"] = "+12 Agi",
["369"] = "+12 Int",
["370"] = "+12 Spirit",
["371"] = "+12 Stamina",
["372"] = "+12 Str",
["383"] = "+52 Armor",
["384"] = "+56 Armor",
["385"] = "+60 Armor",
["386"] = "+16 Armor",
["387"] = "+17 Armor",
["388"] = "+18 Armor",
["389"] = "+19 Armor",
["403"] = "+13 Agi",
["404"] = "+14 Agi",
["405"] = "+13 Int",
["406"] = "+14 Int",
["407"] = "+13 Spirit",
["408"] = "+14 Spirit",
["409"] = "+13 Stamina",
["410"] = "+13 Str",
["411"] = "+14 Stamina",
["412"] = "+14 Str",
["423"] = "+1 SP",
["424"] = "+2 SP",
["425"] = "Black Temple Dummy",
["426"] = "+5 SP",
["427"] = "+6 SP",
["428"] = "+7 SP",
["429"] = "+8 SP",
["430"] = "+9 SP",
["431"] = "+11 SP",
["432"] = "+12 SP",
["433"] = "+11 Fire Spell Damage",
["434"] = "+13 Fire Spell Damage",
["435"] = "+14 Fire Spell Damage",
["436"] = "+70 Crit",
["437"] = "+11 Frost Spell Damage",
["438"] = "+13 Frost Spell Damage",
["439"] = "+14 Frost Spell Damage",
["440"] = "+9 SP",
["441"] = "+11 SP",
["442"] = "+12 SP",
["443"] = "+11 Nature Spell Damage",
["444"] = "+13 Nature Spell Damage",
["445"] = "+14 Nature Spell Damage",
["446"] = "+11 Shadow Spell Damage",
["447"] = "+13 Shadow Spell Damage",
["448"] = "+14 Shadow Spell Damage",
["463"] = "Mithril Spike (16-20)",
["464"] = "+4% Mount Speed",
["483"] = "Sharpened (+6 Damage)",
["484"] = "Weighted (+6 Damage)",
["503"] = "Rockbiter 4",
["504"] = "+80 Rockbiter",
["523"] = "Flametongue 4",
["524"] = "Frostbrand 3",
["525"] = "Windfury 3",
["543"] = "Flametongue Totem 3",
["563"] = "Windfury Totem 2",
["564"] = "Windfury Totem 3",
["583"] = "+1 Agi / +1 Spirit",
["584"] = "+1 Agi / +1 Int",
["585"] = "+1 Agi / +1 Stamina",
["586"] = "+1 Agi / +1 Str",
["587"] = "+1 Int / +1 Spirit",
["588"] = "+1 Int / +1 Stamina",
["589"] = "+1 Int / +1 Str",
["590"] = "+1 Spirit / +1 Stamina",
["591"] = "+1 Spirit / +1 Str",
["592"] = "+1 Stamina / +1 Str",
["603"] = "Crippling Poison II",
["623"] = "Instant Poison IV",
["624"] = "Instant Poison V",
["625"] = "Instant Poison VI",
["626"] = "Deadly Poison III",
["627"] = "Deadly Poison IV",
["643"] = "Mind-Numbing Poison III",
["663"] = "Scope (+5 Damage)",
["664"] = "Scope (+7 Damage)",
["683"] = "Rockbiter 6",
["684"] = "+15 Str",
["703"] = "Wound Poison",
["704"] = "Wound Poison II",
["705"] = "Wound Poison III",
["706"] = "Wound Poison IV",
["723"] = "+3 Int",
["724"] = "+3 Stamina",
["743"] = "+2 Stealth",
["744"] = "+20 Armor",
["763"] = "+5 Block",
["783"] = "+10 Armor",
["803"] = "Fiery Weapon",
["804"] = "+10 Shadow Res",
["805"] = "+4 Weapon Damage",
["823"] = "+3 Str",
["843"] = "+30 Mana",
["844"] = "+2 Mining",
["845"] = "+2 Herbalism",
["846"] = "+2 Fishing",
["847"] = "+1 All Stats",
["848"] = "+30 Armor",
["849"] = "+3 Agi",
["850"] = "+35 Health",
["851"] = "+5 Spirit",
["852"] = "+5 Stamina",
["853"] = "+6 Beastslaying",
["854"] = "+6 Elemental Slayer",
["855"] = "+5 Fire Res",
["856"] = "+5 Str",
["857"] = "+50 Mana",
["863"] = "+10 Block",
["864"] = "+4 Weapon Damage",
["865"] = "+5 Skinning",
["866"] = "+2 All Stats",
["883"] = "+15 Agi",
["884"] = "+50 Armor",
["903"] = "+3 All Ress",
["904"] = "+5 Agi",
["905"] = "+5 Int",
["906"] = "+5 Mining",
["907"] = "+7 Spirit",
["908"] = "+50 Health",
["909"] = "+5 Herbalism",
["910"] = "+Stealth",
["911"] = "+Speed",
["912"] = "Demonslaying",
["913"] = "+65 Mana",
["923"] = "+5 Def",
["924"] = "+2 Def",
["925"] = "+3 Def",
["926"] = "+8 Frost Res",
["927"] = "+7 Str",
["928"] = "+3 All Stats",
["929"] = "+7 Stamina",
["930"] = "+2% Mount Speed",
["931"] = "+10 Haste",
["943"] = "+3 Weapon Damage",
["963"] = "+7 Weapon Damage",
["983"] = "+16 Agi",
["1003"] = "Venomhide Poison",
["1023"] = "Feedback 1",
["1043"] = "+16 Str",
["1044"] = "+17 Str",
["1045"] = "+18 Str",
["1046"] = "+19 Str",
["1047"] = "+20 Str",
["1048"] = "+21 Str",
["1049"] = "+22 Str",
["1050"] = "+23 Str",
["1051"] = "+24 Str",
["1052"] = "+25 Str",
["1053"] = "+26 Str",
["1054"] = "+27 Str",
["1055"] = "+28 Str",
["1056"] = "+29 Str",
["1057"] = "+30 Str",
["1058"] = "+31 Str",
["1059"] = "+32 Str",
["1060"] = "+33 Str",
["1061"] = "+34 Str",
["1062"] = "+35 Str",
["1063"] = "+36 Str",
["1064"] = "+37 Str",
["1065"] = "+38 Str",
["1066"] = "+39 Str",
["1067"] = "+40 Str",
["1068"] = "+15 Stamina",
["1069"] = "+16 Stamina",
["1070"] = "+17 Stamina",
["1071"] = "+18 Stamina",
["1072"] = "+19 Stamina",
["1073"] = "+20 Stamina",
["1074"] = "+21 Stamina",
["1075"] = "+22 Stamina",
["1076"] = "+23 Stamina",
["1077"] = "+24 Stamina",
["1078"] = "+25 Stamina",
["1079"] = "+26 Stamina",
["1080"] = "+27 Stamina",
["1081"] = "+28 Stamina",
["1082"] = "+29 Stamina",
["1083"] = "+30 Stamina",
["1084"] = "+31 Stamina",
["1085"] = "+32 Stamina",
["1086"] = "+33 Stamina",
["1087"] = "+34 Stamina",
["1088"] = "+35 Stamina",
["1089"] = "+36 Stamina",
["1090"] = "+37 Stamina",
["1091"] = "+38 Stamina",
["1092"] = "+39 Stamina",
["1093"] = "+40 Stamina",
["1094"] = "+17 Agi",
["1095"] = "+18 Agi",
["1096"] = "+19 Agi",
["1097"] = "+20 Agi",
["1098"] = "+21 Agi",
["1099"] = "+22 Agi",
["1100"] = "+23 Agi",
["1101"] = "+24 Agi",
["1102"] = "+25 Agi",
["1103"] = "+26 Agi",
["1104"] = "+27 Agi",
["1105"] = "+28 Agi",
["1106"] = "+29 Agi",
["1107"] = "+30 Agi",
["1108"] = "+31 Agi",
["1109"] = "+32 Agi",
["1110"] = "+33 Agi",
["1111"] = "+34 Agi",
["1112"] = "+35 Agi",
["1113"] = "+36 Agi",
["1114"] = "+37 Agi",
["1115"] = "+38 Agi",
["1116"] = "+39 Agi",
["1117"] = "+40 Agi",
["1118"] = "+15 Int",
["1119"] = "+16 Int",
["1120"] = "+17 Int",
["1121"] = "+18 Int",
["1122"] = "+19 Int",
["1123"] = "+20 Int",
["1124"] = "+21 Int",
["1125"] = "+22 Int",
["1126"] = "+23 Int",
["1127"] = "+24 Int",
["1128"] = "+25 Int",
["1129"] = "+26 Int",
["1130"] = "+27 Int",
["1131"] = "+28 Int",
["1132"] = "+29 Int",
["1133"] = "+30 Int",
["1134"] = "+31 Int",
["1135"] = "+32 Int",
["1136"] = "+33 Int",
["1137"] = "+34 Int",
["1138"] = "+35 Int",
["1139"] = "+36 Int",
["1140"] = "+37 Int",
["1141"] = "+38 Int",
["1142"] = "+39 Int",
["1143"] = "+40 Int",
["1144"] = "+15 Spirit",
["1145"] = "+16 Spirit",
["1146"] = "+17 Spirit",
["1147"] = "+18 Spirit",
["1148"] = "+19 Spirit",
["1149"] = "+20 Spirit",
["1150"] = "+21 Spirit",
["1151"] = "+22 Spirit",
["1152"] = "+23 Spirit",
["1153"] = "+24 Spirit",
["1154"] = "+25 Spirit",
["1155"] = "+26 Spirit",
["1156"] = "+27 Spirit",
["1157"] = "+28 Spirit",
["1158"] = "+29 Spirit",
["1159"] = "+30 Spirit",
["1160"] = "+31 Spirit",
["1161"] = "+32 Spirit",
["1162"] = "+33 Spirit",
["1163"] = "+34 Spirit",
["1164"] = "+36 Spirit",
["1165"] = "+37 Spirit",
["1166"] = "+38 Spirit",
["1167"] = "+39 Spirit",
["1168"] = "+40 Spirit",
["1183"] = "+35 Spirit",
["1203"] = "+41 Str",
["1204"] = "+42 Str",
["1205"] = "+43 Str",
["1206"] = "+44 Str",
["1207"] = "+45 Str",
["1208"] = "+46 Str",
["1209"] = "+41 Stamina",
["1210"] = "+42 Stamina",
["1211"] = "+43 Stamina",
["1212"] = "+44 Stamina",
["1213"] = "+45 Stamina",
["1214"] = "+46 Stamina",
["1215"] = "+41 Agi",
["1216"] = "+42 Agi",
["1217"] = "+43 Agi",
["1218"] = "+44 Agi",
["1219"] = "+45 Agi",
["1220"] = "+46 Agi",
["1221"] = "+41 Int",
["1222"] = "+42 Int",
["1223"] = "+43 Int",
["1224"] = "+44 Int",
["1225"] = "+45 Int",
["1226"] = "+46 Int",
["1227"] = "+41 Spirit",
["1228"] = "+42 Spirit",
["1229"] = "+43 Spirit",
["1230"] = "+44 Spirit",
["1231"] = "+45 Spirit",
["1232"] = "+46 Spirit",
["1243"] = "+1 Arcane Res",
["1244"] = "+2 Arcane Res",
["1245"] = "+3 Arcane Res",
["1246"] = "+4 Arcane Res",
["1247"] = "+5 Arcane Res",
["1248"] = "+6 Arcane Res",
["1249"] = "+7 Arcane Res",
["1250"] = "+8 Arcane Res",
["1251"] = "+9 Arcane Res",
["1252"] = "+10 Arcane Res",
["1253"] = "+11 Arcane Res",
["1254"] = "+12 Arcane Res",
["1255"] = "+13 Arcane Res",
["1256"] = "+14 Arcane Res",
["1257"] = "+15 Arcane Res",
["1258"] = "+16 Arcane Res",
["1259"] = "+17 Arcane Res",
["1260"] = "+18 Arcane Res",
["1261"] = "+19 Arcane Res",
["1262"] = "+20 Arcane Res",
["1263"] = "+21 Arcane Res",
["1264"] = "+22 Arcane Res",
["1265"] = "+23 Arcane Res",
["1266"] = "+24 Arcane Res",
["1267"] = "+25 Arcane Res",
["1268"] = "+26 Arcane Res",
["1269"] = "+27 Arcane Res",
["1270"] = "+28 Arcane Res",
["1271"] = "+29 Arcane Res",
["1272"] = "+30 Arcane Res",
["1273"] = "+31 Arcane Res",
["1274"] = "+32 Arcane Res",
["1275"] = "+33 Arcane Res",
["1276"] = "+34 Arcane Res",
["1277"] = "+35 Arcane Res",
["1278"] = "+36 Arcane Res",
["1279"] = "+37 Arcane Res",
["1280"] = "+38 Arcane Res",
["1281"] = "+39 Arcane Res",
["1282"] = "+40 Arcane Res",
["1283"] = "+41 Arcane Res",
["1284"] = "+42 Arcane Res",
["1285"] = "+43 Arcane Res",
["1286"] = "+44 Arcane Res",
["1287"] = "+45 Arcane Res",
["1288"] = "+46 Arcane Res",
["1289"] = "+1 Frost Res",
["1290"] = "+2 Frost Res",
["1291"] = "+3 Frost Res",
["1292"] = "+4 Frost Res",
["1293"] = "+5 Frost Res",
["1294"] = "+6 Frost Res",
["1295"] = "+7 Frost Res",
["1296"] = "+8 Frost Res",
["1297"] = "+9 Frost Res",
["1298"] = "+10 Frost Res",
["1299"] = "+11 Frost Res",
["1300"] = "+12 Frost Res",
["1301"] = "+13 Frost Res",
["1302"] = "+14 Frost Res",
["1303"] = "+15 Frost Res",
["1304"] = "+16 Frost Res",
["1305"] = "+17 Frost Res",
["1306"] = "+18 Frost Res",
["1307"] = "+19 Frost Res",
["1308"] = "+20 Frost Res",
["1309"] = "+21 Frost Res",
["1310"] = "+22 Frost Res",
["1311"] = "+23 Frost Res",
["1312"] = "+24 Frost Res",
["1313"] = "+25 Frost Res",
["1314"] = "+26 Frost Res",
["1315"] = "+27 Frost Res",
["1316"] = "+28 Frost Res",
["1317"] = "+29 Frost Res",
["1318"] = "+30 Frost Res",
["1319"] = "+31 Frost Res",
["1320"] = "+32 Frost Res",
["1321"] = "+33 Frost Res",
["1322"] = "+34 Frost Res",
["1323"] = "+35 Frost Res",
["1324"] = "+36 Frost Res",
["1325"] = "+37 Frost Res",
["1326"] = "+38 Frost Res",
["1327"] = "+39 Frost Res",
["1328"] = "+40 Frost Res",
["1329"] = "+41 Frost Res",
["1330"] = "+42 Frost Res",
["1331"] = "+43 Frost Res",
["1332"] = "+44 Frost Res",
["1333"] = "+45 Frost Res",
["1334"] = "+46 Frost Res",
["1335"] = "+1 Fire Res",
["1336"] = "+2 Fire Res",
["1337"] = "+3 Fire Res",
["1338"] = "+4 Fire Res",
["1339"] = "+5 Fire Res",
["1340"] = "+6 Fire Res",
["1341"] = "+7 Fire Res",
["1342"] = "+8 Fire Res",
["1343"] = "+9 Fire Res",
["1344"] = "+10 Fire Res",
["1345"] = "+11 Fire Res",
["1346"] = "+12 Fire Res",
["1347"] = "+13 Fire Res",
["1348"] = "+14 Fire Res",
["1349"] = "+15 Fire Res",
["1350"] = "+16 Fire Res",
["1351"] = "+17 Fire Res",
["1352"] = "+18 Fire Res",
["1353"] = "+19 Fire Res",
["1354"] = "+20 Fire Res",
["1355"] = "+21 Fire Res",
["1356"] = "+22 Fire Res",
["1357"] = "+23 Fire Res",
["1358"] = "+24 Fire Res",
["1359"] = "+25 Fire Res",
["1360"] = "+26 Fire Res",
["1361"] = "+27 Fire Res",
["1362"] = "+28 Fire Res",
["1363"] = "+29 Fire Res",
["1364"] = "+30 Fire Res",
["1365"] = "+31 Fire Res",
["1366"] = "+32 Fire Res",
["1367"] = "+33 Fire Res",
["1368"] = "+34 Fire Res",
["1369"] = "+35 Fire Res",
["1370"] = "+36 Fire Res",
["1371"] = "+37 Fire Res",
["1372"] = "+38 Fire Res",
["1373"] = "+39 Fire Res",
["1374"] = "+40 Fire Res",
["1375"] = "+41 Fire Res",
["1376"] = "+42 Fire Res",
["1377"] = "+43 Fire Res",
["1378"] = "+44 Fire Res",
["1379"] = "+45 Fire Res",
["1380"] = "+46 Fire Res",
["1381"] = "+1 Nature Res",
["1382"] = "+2 Nature Res",
["1383"] = "+3 Nature Res",
["1384"] = "+4 Nature Res",
["1385"] = "+5 Nature Res",
["1386"] = "+6 Nature Res",
["1387"] = "+7 Nature Res",
["1388"] = "+8 Nature Res",
["1389"] = "+9 Nature Res",
["1390"] = "+10 Nature Res",
["1391"] = "+11 Nature Res",
["1392"] = "+12 Nature Res",
["1393"] = "+13 Nature Res",
["1394"] = "+14 Nature Res",
["1395"] = "+15 Nature Res",
["1396"] = "+16 Nature Res",
["1397"] = "+17 Nature Res",
["1398"] = "+18 Nature Res",
["1399"] = "+19 Nature Res",
["1400"] = "+20 Nature Res",
["1401"] = "+21 Nature Res",
["1402"] = "+22 Nature Res",
["1403"] = "+23 Nature Res",
["1404"] = "+24 Nature Res",
["1405"] = "+25 Nature Res",
["1406"] = "+26 Nature Res",
["1407"] = "+27 Nature Res",
["1408"] = "+28 Nature Res",
["1409"] = "+29 Nature Res",
["1410"] = "+30 Nature Res",
["1411"] = "+31 Nature Res",
["1412"] = "+32 Nature Res",
["1413"] = "+33 Nature Res",
["1414"] = "+34 Nature Res",
["1415"] = "+35 Nature Res",
["1416"] = "+36 Nature Res",
["1417"] = "+37 Nature Res",
["1418"] = "+38 Nature Res",
["1419"] = "+39 Nature Res",
["1420"] = "+40 Nature Res",
["1421"] = "+41 Nature Res",
["1422"] = "+42 Nature Res",
["1423"] = "+43 Nature Res",
["1424"] = "+44 Nature Res",
["1425"] = "+45 Nature Res",
["1426"] = "+46 Nature Res",
["1427"] = "+1 Shadow Res",
["1428"] = "+2 Shadow Res",
["1429"] = "+3 Shadow Res",
["1430"] = "+4 Shadow Res",
["1431"] = "+5 Shadow Res",
["1432"] = "+6 Shadow Res",
["1433"] = "+7 Shadow Res",
["1434"] = "+8 Shadow Res",
["1435"] = "+9 Shadow Res",
["1436"] = "+10 Shadow Res",
["1437"] = "+11 Shadow Res",
["1438"] = "+12 Shadow Res",
["1439"] = "+13 Shadow Res",
["1440"] = "+14 Shadow Res",
["1441"] = "+15 Shadow Res",
["1442"] = "+16 Shadow Res",
["1443"] = "+17 Shadow Res",
["1444"] = "+18 Shadow Res",
["1445"] = "+19 Shadow Res",
["1446"] = "+20 Shadow Res",
["1447"] = "+21 Shadow Res",
["1448"] = "+22 Shadow Res",
["1449"] = "+23 Shadow Res",
["1450"] = "+24 Shadow Res",
["1451"] = "+25 Shadow Res",
["1452"] = "+26 Resist Shadow",
["1453"] = "+27 Shadow Res",
["1454"] = "+28 Shadow Res",
["1455"] = "+29 Shadow Res",
["1456"] = "+30 Shadow Res",
["1457"] = "+31 Shadow Res",
["1458"] = "+32 Shadow Res",
["1459"] = "+33 Shadow Res",
["1460"] = "+34 Shadow Res",
["1461"] = "+35 Shadow Res",
["1462"] = "+36 Shadow Res",
["1463"] = "+37 Shadow Res",
["1464"] = "+38 Shadow Res",
["1465"] = "+39 Shadow Res",
["1466"] = "+40 Shadow Res",
["1467"] = "+41 Shadow Res",
["1468"] = "+42 Shadow Res",
["1469"] = "+43 Shadow Res",
["1470"] = "+44 Shadow Res",
["1471"] = "+45 Shadow Res",
["1472"] = "+46 Shadow Res",
["1483"] = "+150 Mana",
["1503"] = "+100 Health",
["1504"] = "+125 Armor",
["1505"] = "+20 Fire Res",
["1506"] = "+8 Str",
["1507"] = "+8 Stamina",
["1508"] = "+8 Agi",
["1509"] = "+8 Int",
["1510"] = "+8 Spirit",
["1523"] = "+85/14 MANA/FR",
["1524"] = "+75/14 HP/FR",
["1525"] = "+110/14 AC/FR",
["1526"] = "+10/14 STR/FR",
["1527"] = "+10/14 STA/FR",
["1528"] = "+10/14 AGI/FR",
["1529"] = "+10/14 INT/FR",
["1530"] = "+10/14 SPI/FR",
["1531"] = "+10/10 STR/STA",
["1532"] = "+10/10/110/15 STR/STA/AC/FR",
["1543"] = "+10/10/100/15 INT/SPI/MANA/FR",
["1563"] = "+2 AP",
["1583"] = "+4 AP",
["1584"] = "+6 AP",
["1585"] = "+8 AP",
["1586"] = "+10 AP",
["1587"] = "+12 AP",
["1588"] = "+14 AP",
["1589"] = "+16 AP",
["1590"] = "+18 AP",
["1591"] = "+20 AP",
["1592"] = "+22 AP",
["1593"] = "+24 AP",
["1594"] = "+26 AP",
["1595"] = "+28 AP",
["1596"] = "+30 AP",
["1597"] = "+32 AP",
["1598"] = "+34 AP",
["1599"] = "+36 AP",
["1600"] = "+38 AP",
["1601"] = "+32 AP",
["1602"] = "+42 AP",
["1603"] = "+44 AP",
["1604"] = "+46 AP",
["1605"] = "+48 AP",
["1606"] = "+50 AP",
["1607"] = "+52 AP",
["1608"] = "+54 AP",
["1609"] = "+56 AP",
["1610"] = "+58 AP",
["1611"] = "+60 AP",
["1612"] = "+62 AP",
["1613"] = "+64 AP",
["1614"] = "+66 AP",
["1615"] = "+68 AP",
["1616"] = "+70 AP",
["1617"] = "+72 AP",
["1618"] = "+74 AP",
["1619"] = "+76 AP",
["1620"] = "+78 AP",
["1621"] = "+80 AP",
["1622"] = "+82 AP",
["1623"] = "+84 AP",
["1624"] = "+86 AP",
["1625"] = "+88 AP",
["1626"] = "+90 AP",
["1627"] = "+92 AP",
["1643"] = "Sharpened (+8 Damage)",
["1663"] = "Rockbiter 5",
["1664"] = "Rockbiter 7",
["1665"] = "Flametongue 5",
["1666"] = "Flametongue 6",
["1667"] = "Frostbrand 4",
["1668"] = "Frostbrand 5",
["1669"] = "Windfury 4",
["1683"] = "Flametongue Totem 4",
["1703"] = "Weighted (+8 Damage)",
["1704"] = "Thorium Spike (20-30)",
["1723"] = "Omen of Clarity",
["1743"] = "MHTest02",
["1763"] = "Cold Blood",
["1783"] = "Windfury Totem 1",
["1803"] = "Firestone 1",
["1823"] = "Firestone 2",
["1824"] = "Firestone 3",
["1825"] = "Firestone 4",
["1843"] = "Reinforced (+40 Armor)",
["1863"] = "Feedback 2",
["1864"] = "Feedback 3",
["1865"] = "Feedback 4",
["1866"] = "Feedback 5",
["1883"] = "+7 Int",
["1884"] = "+9 Spirit",
["1885"] = "+9 Str",
["1886"] = "+9 Stamina",
["1887"] = "+7 Agi",
["1888"] = "+5 All Ress",
["1889"] = "+70 Armor",
["1890"] = "+4 Mana Health every 5 sec",
["1891"] = "+4 All Stats",
["1892"] = "+100 Health",
["1893"] = "+100 Mana",
["1894"] = "Icy Weapon",
["1895"] = "+9 Damage",
["1896"] = "+9 Weapon Damage",
["1897"] = "+5 Weapon Damage",
["1898"] = "Lifestealing",
["1899"] = "Unholy Weapon",
["1900"] = "Crusader",
["1901"] = "+9 Int",
["1903"] = "+9 Spirit",
["1904"] = "+9 Int",
["1923"] = "+3 Fire Res",
["1943"] = "+12 Def",
["1944"] = "+8 Def",
["1945"] = "+9 Def",
["1946"] = "+10 Def",
["1947"] = "+11 Def",
["1948"] = "+13 Def",
["1949"] = "+14 Def",
["1950"] = "+15 Def",
["1951"] = "+16 Def",
["1952"] = "+20 Def",
["1953"] = "+22 Def",
["1954"] = "+25 Def",
["1955"] = "+32 Def",
["1956"] = "+17 Def",
["1957"] = "+18 Def",
["1958"] = "+19 Def",
["1959"] = "+21 Def",
["1960"] = "+23 Def",
["1961"] = "+24 Def",
["1962"] = "+26 Def",
["1963"] = "+27 Def",
["1964"] = "+28 Def",
["1965"] = "+29 Def",
["1966"] = "+30 Def",
["1967"] = "+31 Def",
["1968"] = "+33 Def",
["1969"] = "+34 Def",
["1970"] = "+35 Def",
["1971"] = "+36 Def",
["1972"] = "+37 Def",
["1973"] = "+38 Def",
["1983"] = "+5 Block",
["1984"] = "+10 Block",
["1985"] = "+15 Block",
["1986"] = "+20 Block",
["1987"] = "Block Level 14",
["1988"] = "Block Level 15",
["1989"] = "Block Level 16",
["1990"] = "Block Level 17",
["1991"] = "Block Level 18",
["1992"] = "Block Level 19",
["1993"] = "Block Level 20",
["1994"] = "Block Level 21",
["1995"] = "Block Level 22",
["1996"] = "Block Level 23",
["1997"] = "Block Level 24",
["1998"] = "Block Level 25",
["1999"] = "Block Level 26",
["2000"] = "Block Level 27",
["2001"] = "Block Level 28",
["2002"] = "Block Level 29",
["2003"] = "Block Level 30",
["2004"] = "Block Level 31",
["2005"] = "Block Level 32",
["2006"] = "Block Level 33",
["2007"] = "Block Level 34",
["2008"] = "Block Level 35",
["2009"] = "Block Level 36",
["2010"] = "Block Level 37",
["2011"] = "Block Level 38",
["2012"] = "Block Level 39",
["2013"] = "Block Level 40",
["2014"] = "Block Level 41",
["2015"] = "Block Level 42",
["2016"] = "Block Level 43",
["2017"] = "Block Level 44",
["2018"] = "Block Level 45",
["2019"] = "Block Level 46",
["2020"] = "Block Level 47",
["2021"] = "Block Level 48",
["2022"] = "Block Level 49",
["2023"] = "Block Level 50",
["2024"] = "Block Level 51",
["2025"] = "Block Level 52",
["2026"] = "Block Level 53",
["2027"] = "Block Level 54",
["2028"] = "Block Level 55",
["2029"] = "Block Level 56",
["2030"] = "Block Level 57",
["2031"] = "Block Level 58",
["2032"] = "Block Level 59",
["2033"] = "Block Level 60",
["2034"] = "Block Level 61",
["2035"] = "Block Level 62",
["2036"] = "Block Level 63",
["2037"] = "Block Level 64",
["2038"] = "Block Level 65",
["2039"] = "Block Level 66",
["2040"] = "+2 Ranged AP",
["2041"] = "+5 Ranged AP",
["2042"] = "+7 Ranged AP",
["2043"] = "+10 Ranged AP",
["2044"] = "+12 Ranged AP",
["2045"] = "+14 Ranged AP",
["2046"] = "+17 Ranged AP",
["2047"] = "+19 Ranged AP",
["2048"] = "+22 Ranged AP",
["2049"] = "+24 Ranged AP",
["2050"] = "+26 Ranged AP",
["2051"] = "+29 Ranged AP",
["2052"] = "+31 Ranged AP",
["2053"] = "+34 Ranged AP",
["2054"] = "+36 Ranged AP",
["2055"] = "+38 Ranged AP",
["2056"] = "+41 Ranged AP",
["2057"] = "+43 Ranged AP",
["2058"] = "+46 Ranged AP",
["2059"] = "+48 Ranged AP",
["2060"] = "+50 Ranged AP",
["2061"] = "+53 Ranged AP",
["2062"] = "+55 Ranged AP",
["2063"] = "+58 Ranged AP",
["2064"] = "+60 Ranged AP",
["2065"] = "+62 Ranged AP",
["2066"] = "+65 Ranged AP",
["2067"] = "+67 Ranged AP",
["2068"] = "+70 Ranged AP",
["2069"] = "+72 Ranged AP",
["2070"] = "+74 Ranged AP",
["2071"] = "+77 Ranged AP",
["2072"] = "+79 Ranged AP",
["2073"] = "+82 Ranged AP",
["2074"] = "+84 Ranged AP",
["2075"] = "+86 Ranged AP",
["2076"] = "+89 Ranged AP",
["2077"] = "+91 Ranged AP",
["2078"] = "+12 Dodge",
["2079"] = "+1 Arcane Spell Damage",
["2080"] = "+3 Arcane Spell Damage",
["2081"] = "+4 Arcane Spell Damage",
["2082"] = "+6 Arcane Spell Damage",
["2083"] = "+7 Arcane Spell Damage",
["2084"] = "+9 Arcane Spell Damage",
["2085"] = "+10 Arcane Spell Damage",
["2086"] = "+11 Arcane Spell Damage",
["2087"] = "+13 Arcane Spell Damage",
["2088"] = "+14 Arcane Spell Damage",
["2089"] = "+16 Arcane Spell Damage",
["2090"] = "+17 Arcane Spell Damage",
["2091"] = "+19 Arcane Spell Damage",
["2092"] = "+20 Arcane Spell Damage",
["2093"] = "+21 Arcane Spell Damage",
["2094"] = "+23 Arcane Spell Damage",
["2095"] = "+24 Arcane Spell Damage",
["2096"] = "+26 Arcane Spell Damage",
["2097"] = "+27 Arcane Spell Damage",
["2098"] = "+29 Arcane Spell Damage",
["2099"] = "+30 Arcane Spell Damage",
["2100"] = "+31 Arcane Spell Damage",
["2101"] = "+33 Arcane Spell Damage",
["2102"] = "+34 Arcane Spell Damage",
["2103"] = "+36 Arcane Spell Damage",
["2104"] = "+37 Arcane Spell Damage",
["2105"] = "+39 Arcane Spell Damage",
["2106"] = "+40 Arcane Spell Damage",
["2107"] = "+41 Arcane Spell Damage",
["2108"] = "+43 Arcane Spell Damage",
["2109"] = "+44 Arcane Spell Damage",
["2110"] = "+46 Arcane Spell Damage",
["2111"] = "+47 Arcane Spell Damage",
["2112"] = "+49 Arcane Spell Damage",
["2113"] = "+50 Arcane Spell Damage",
["2114"] = "+51 Arcane Spell Damage",
["2115"] = "+53 Arcane Spell Damage",
["2116"] = "+54 Arcane Spell Damage",
["2117"] = "+1 Shadow Spell Damage",
["2118"] = "+3 Shadow Spell Damage",
["2119"] = "+4 Shadow Spell Damage",
["2120"] = "+6 Shadow Spell Damage",
["2121"] = "+7 Shadow Spell Damage",
["2122"] = "+9 Shadow Spell Damage",
["2123"] = "+10 Shadow Spell Damage",
["2124"] = "+11 Shadow Spell Damage",
["2125"] = "+13 Shadow Spell Damage",
["2126"] = "+14 Shadow Spell Damage",
["2127"] = "+16 Shadow Spell Damage",
["2128"] = "+17 Shadow Spell Damage",
["2129"] = "+19 Shadow Spell Damage",
["2130"] = "+20 Shadow Spell Damage",
["2131"] = "+21 Shadow Spell Damage",
["2132"] = "+23 Shadow Spell Damage",
["2133"] = "+24 Shadow Spell Damage",
["2134"] = "+26 Shadow Spell Damage",
["2135"] = "+27 Shadow Spell Damage",
["2136"] = "+29 Shadow Spell Damage",
["2137"] = "+30 Shadow Spell Damage",
["2138"] = "+31 Shadow Spell Damage",
["2139"] = "+33 Shadow Spell Damage",
["2140"] = "+34 Shadow Spell Damage",
["2141"] = "+36 Shadow Spell Damage",
["2142"] = "+37 Shadow Spell Damage",
["2143"] = "+39 Shadow Spell Damage",
["2144"] = "+40 Shadow Spell Damage",
["2145"] = "+41 Shadow Spell Damage",
["2146"] = "+43 Shadow Spell Damage",
["2147"] = "+44 Shadow Spell Damage",
["2148"] = "+46 Shadow Spell Damage",
["2149"] = "+47 Shadow Spell Damage",
["2150"] = "+49 Shadow Spell Damage",
["2151"] = "+50 Shadow Spell Damage",
["2152"] = "+51 Shadow Spell Damage",
["2153"] = "+53 Shadow Spell Damage",
["2154"] = "+54 Shadow Spell Damage",
["2155"] = "+1 Fire Spell Damage",
["2156"] = "+3 Fire Spell Damage",
["2157"] = "+4 Fire Spell Damage",
["2158"] = "+6 Fire Spell Damage",
["2159"] = "+7 Fire Spell Damage",
["2160"] = "+9 Fire Spell Damage",
["2161"] = "+10 Fire Spell Damage",
["2162"] = "+11 Fire Spell Damage",
["2163"] = "+13 Fire Spell Damage",
["2164"] = "+14 Fire Spell Damage",
["2165"] = "+16 Fire Spell Damage",
["2166"] = "+17 Fire Spell Damage",
["2167"] = "+19 Fire Spell Damage",
["2168"] = "+20 Fire Spell Damage",
["2169"] = "+21 Fire Spell Damage",
["2170"] = "+23 Fire Spell Damage",
["2171"] = "+24 Fire Spell Damage",
["2172"] = "+26 Fire Spell Damage",
["2173"] = "+27 Fire Spell Damage",
["2174"] = "+29 Fire Spell Damage",
["2175"] = "+30 Fire Spell Damage",
["2176"] = "+31 Fire Spell Damage",
["2177"] = "+33 Fire Spell Damage",
["2178"] = "+34 Fire Spell Damage",
["2179"] = "+36 Fire Spell Damage",
["2180"] = "+37 Fire Spell Damage",
["2181"] = "+39 Fire Spell Damage",
["2182"] = "+40 Fire Spell Damage",
["2183"] = "+41 Fire Spell Damage",
["2184"] = "+43 Fire Spell Damage",
["2185"] = "+44 Fire Spell Damage",
["2186"] = "+46 Fire Spell Damage",
["2187"] = "+47 Fire Spell Damage",
["2188"] = "+49 Fire Spell Damage",
["2189"] = "+50 Fire Spell Damage",
["2190"] = "+51 Fire Spell Damage",
["2191"] = "+53 Fire Spell Damage",
["2192"] = "+54 Fire Spell Damage",
["2193"] = "+1 Holy Spell Damage",
["2194"] = "+3 Holy Spell Damage",
["2195"] = "+4 Holy Spell Damage",
["2196"] = "+6 Holy Spell Damage",
["2197"] = "+7 Holy Spell Damage",
["2198"] = "+9 Holy Spell Damage",
["2199"] = "+10 Holy Spell Damage",
["2200"] = "+11 Holy Spell Damage",
["2201"] = "+13 Holy Spell Damage",
["2202"] = "+14 Holy Spell Damage",
["2203"] = "+16 Holy Spell Damage",
["2204"] = "+17 Holy Spell Damage",
["2205"] = "+19 Holy Spell Damage",
["2206"] = "+20 Holy Spell Damage",
["2207"] = "+21 Holy Spell Damage",
["2208"] = "+23 Holy Spell Damage",
["2209"] = "+24 Holy Spell Damage",
["2210"] = "+26 Holy Spell Damage",
["2211"] = "+27 Holy Spell Damage",
["2212"] = "+29 Holy Spell Damage",
["2213"] = "+30 Holy Spell Damage",
["2214"] = "+31 Holy Spell Damage",
["2215"] = "+33 Holy Spell Damage",
["2216"] = "+34 Holy Spell Damage",
["2217"] = "+36 Holy Spell Damage",
["2218"] = "+37 Holy Spell Damage",
["2219"] = "+39 Holy Spell Damage",
["2220"] = "+40 Holy Spell Damage",
["2221"] = "+41 Holy Spell Damage",
["2222"] = "+43 Holy Spell Damage",
["2223"] = "+44 Holy Spell Damage",
["2224"] = "+46 Holy Spell Damage",
["2225"] = "+47 Holy Spell Damage",
["2226"] = "+49 Holy Spell Damage",
["2227"] = "+50 Holy Spell Damage",
["2228"] = "+51 Holy Spell Damage",
["2229"] = "+53 Holy Spell Damage",
["2230"] = "+54 Holy Spell Damage",
["2231"] = "+1 Frost Spell Damage",
["2232"] = "+3 Frost Spell Damage",
["2233"] = "+4 Frost Spell Damage",
["2234"] = "+6 Frost Spell Damage",
["2235"] = "+7 Frost Spell Damage",
["2236"] = "+9 Frost Spell Damage",
["2237"] = "+10 Frost Spell Damage",
["2238"] = "+11 Frost Spell Damage",
["2239"] = "+13 Frost Spell Damage",
["2240"] = "+14 Frost Spell Damage",
["2241"] = "+16 Frost Spell Damage",
["2242"] = "+17 Frost Spell Damage",
["2243"] = "+19 Frost Spell Damage",
["2244"] = "+20 Frost Spell Damage",
["2245"] = "+21 Frost Spell Damage",
["2246"] = "+23 Frost Spell Damage",
["2247"] = "+24 Frost Spell Damage",
["2248"] = "+26 Frost Spell Damage",
["2249"] = "+27 Frost Spell Damage",
["2250"] = "+29 Frost Spell Damage",
["2251"] = "+30 Frost Spell Damage",
["2252"] = "+31 Frost Spell Damage",
["2253"] = "+33 Frost Spell Damage",
["2254"] = "+34 Frost Spell Damage",
["2255"] = "+36 Frost Spell Damage",
["2256"] = "+37 Frost Spell Damage",
["2257"] = "+39 Frost Spell Damage",
["2258"] = "+40 Frost Spell Damage",
["2259"] = "+41 Frost Spell Damage",
["2260"] = "+43 Frost Spell Damage",
["2261"] = "+44 Frost Spell Damage",
["2262"] = "+46 Frost Spell Damage",
["2263"] = "+47 Frost Spell Damage",
["2264"] = "+49 Frost Spell Damage",
["2265"] = "+50 Frost Spell Damage",
["2266"] = "+51 Frost Spell Damage",
["2267"] = "+53 Frost Spell Damage",
["2268"] = "+54 Frost Spell Damage",
["2269"] = "+1 Nature Spell Damage",
["2270"] = "+3 Nature Spell Damage",
["2271"] = "+4 Nature Spell Damage",
["2272"] = "+6 Nature Spell Damage",
["2273"] = "+7 Nature Spell Damage",
["2274"] = "+9 Nature Spell Damage",
["2275"] = "+10 Nature Spell Damage",
["2276"] = "+11 Nature Spell Damage",
["2277"] = "+13 Nature Spell Damage",
["2278"] = "+14 Nature Spell Damage",
["2279"] = "+16 Nature Spell Damage",
["2280"] = "+17 Nature Spell Damage",
["2281"] = "+19 Nature Spell Damage",
["2282"] = "+20 Nature Spell Damage",
["2283"] = "+21 Nature Spell Damage",
["2284"] = "+23 Nature Spell Damage",
["2285"] = "+24 Nature Spell Damage",
["2286"] = "+26 Nature Spell Damage",
["2287"] = "+27 Nature Spell Damage",
["2288"] = "+29 Nature Spell Damage",
["2289"] = "+30 Nature Spell Damage",
["2290"] = "+31 Nature Spell Damage",
["2291"] = "+33 Nature Spell Damage",
["2292"] = "+34 Nature Spell Damage",
["2293"] = "+36 Nature Spell Damage",
["2294"] = "+37 Nature Spell Damage",
["2295"] = "+39 Nature Spell Damage",
["2296"] = "+40 Nature Spell Damage",
["2297"] = "+41 Nature Spell Damage",
["2298"] = "+43 Nature Spell Damage",
["2299"] = "+44 Nature Spell Damage",
["2300"] = "+46 Nature Spell Damage",
["2301"] = "+47 Nature Spell Damage",
["2302"] = "+49 Nature Spell Damage",
["2303"] = "+50 Nature Spell Damage",
["2304"] = "+51 Nature Spell Damage",
["2305"] = "+53 Nature Spell Damage",
["2306"] = "+54 Nature Spell Damage",
["2307"] = "+1 SP",
["2308"] = "+2 SP",
["2309"] = "+4 SP",
["2310"] = "+5 SP",
["2311"] = "+6 SP",
["2312"] = "+7 SP",
["2313"] = "+8 SP",
["2314"] = "+9 SP",
["2315"] = "+11 SP",
["2316"] = "+12 SP",
["2317"] = "+13 SP",
["2318"] = "+14 SP",
["2319"] = "+15 SP",
["2320"] = "+16 SP",
["2321"] = "+18 SP",
["2322"] = "+19 SP",
["2323"] = "+20 SP",
["2324"] = "+21 SP",
["2325"] = "+22 SP",
["2326"] = "+23 SP",
["2327"] = "+25 SP",
["2328"] = "+26 SP",
["2329"] = "+27 SP",
["2330"] = "+28 SP",
["2331"] = "+29 SP",
["2332"] = "+30 SP",
["2333"] = "+32 SP",
["2334"] = "+33 SP",
["2335"] = "+34 SP",
["2336"] = "+35 SP",
["2337"] = "+36 SP",
["2338"] = "+37 SP",
["2339"] = "+39 SP",
["2340"] = "+40 SP",
["2341"] = "+41 SP",
["2342"] = "+42 SP",
["2343"] = "+43 SP",
["2344"] = "+44 SP",
["2363"] = "+1 mana every 5 sec.",
["2364"] = "+1 mana every 5 sec.",
["2365"] = "+1 mana every 5 sec.",
["2366"] = "+2 mana every 5 sec.",
["2367"] = "+2 mana every 5 sec.",
["2368"] = "+2 mana every 5 sec.",
["2369"] = "+3 mana every 5 sec.",
["2370"] = "+3 mana every 5 sec.",
["2371"] = "+4 mana every 5 sec.",
["2372"] = "+4 mana every 5 sec.",
["2373"] = "+4 mana every 5 sec.",
["2374"] = "+5 mana every 5 sec.",
["2375"] = "+5 mana every 5 sec.",
["2376"] = "+6 mana every 5 sec.",
["2377"] = "+6 mana every 5 sec.",
["2378"] = "+6 mana every 5 sec.",
["2379"] = "+7 mana every 5 sec.",
["2380"] = "+7 mana every 5 sec.",
["2381"] = "+10 mana every 5 sec.",
["2382"] = "+8 mana every 5 sec.",
["2383"] = "+8 mana every 5 sec.",
["2384"] = "+9 mana every 5 sec.",
["2385"] = "+9 mana every 5 sec.",
["2386"] = "+10 mana every 5 sec.",
["2387"] = "+10 mana every 5 sec.",
["2388"] = "+10 mana every 5 sec.",
["2389"] = "+11 mana every 5 sec.",
["2390"] = "+11 mana every 5 sec.",
["2391"] = "+12 mana every 5 sec.",
["2392"] = "+12 mana every 5 sec.",
["2393"] = "+12 mana every 5 sec.",
["2394"] = "+13 mana every 5 sec.",
["2395"] = "+13 mana every 5 sec.",
["2396"] = "+14 mana every 5 sec.",
["2397"] = "+14 mana every 5 sec.",
["2398"] = "+14 mana every 5 sec.",
["2399"] = "+15 mana every 5 sec.",
["2400"] = "+15 mana every 5 sec.",
["2401"] = "+1 health every 5 sec.",
["2402"] = "+1 health every 5 sec.",
["2403"] = "+1 health every 5 sec.",
["2404"] = "+1 health every 5 sec.",
["2405"] = "+1 health every 5 sec.",
["2406"] = "+2 health every 5 sec.",
["2407"] = "+2 health every 5 sec.",
["2408"] = "+2 health every 5 sec.",
["2409"] = "+2 health every 5 sec.",
["2410"] = "+3 health every 5 sec.",
["2411"] = "+3 health every 5 sec.",
["2412"] = "+3 health every 5 sec.",
["2413"] = "+3 health every 5 sec.",
["2414"] = "+4 health every 5 sec.",
["2415"] = "+4 health every 5 sec.",
["2416"] = "+4 health every 5 sec.",
["2417"] = "+4 health every 5 sec.",
["2418"] = "+5 health every 5 sec.",
["2419"] = "+5 health every 5 sec.",
["2420"] = "+5 health every 5 sec.",
["2421"] = "+5 health every 5 sec.",
["2422"] = "+6 health every 5 sec.",
["2423"] = "+6 health every 5 sec.",
["2424"] = "+6 health every 5 sec.",
["2425"] = "+6 health every 5 sec.",
["2426"] = "+7 health every 5 sec.",
["2427"] = "+7 health every 5 sec.",
["2428"] = "+7 health every 5 sec.",
["2429"] = "+7 health every 5 sec.",
["2430"] = "+8 health every 5 sec.",
["2431"] = "+8 health every 5 sec.",
["2432"] = "+8 health every 5 sec.",
["2433"] = "+8 health every 5 sec.",
["2434"] = "+9 health every 5 sec.",
["2435"] = "+9 health every 5 sec.",
["2436"] = "+9 health every 5 sec.",
["2437"] = "+9 health every 5 sec.",
["2438"] = "+10 health every 5 sec.",
["2443"] = "+7 Frost Spell Damage",
["2463"] = "+7 Fire Res",
["2483"] = "+5 Fire Res",
["2484"] = "+5 Frost Res",
["2485"] = "+5 Arcane Res",
["2486"] = "+5 Nature Res",
["2487"] = "+5 Shadow Res",
["2488"] = "+5 All Ress",
["2503"] = "+5 Def",
["2504"] = "+30 SP",
["2505"] = "+29 SP",
["2506"] = "+28 Melee Crit",
["2523"] = "+30 Ranged Hit",
["2543"] = "+10 Haste",
["2544"] = "+8 SP",
["2545"] = "+12 Dodge",
["2563"] = "+15 Str",
["2564"] = "+15 Agi",
["2565"] = "5 MP5",
["2566"] = "+13 SP",
["2567"] = "+20 Spirit",
["2568"] = "+22 Int",
["2583"] = "+10 Def +10 Stamina +30 BV",
["2584"] = "+10 Def +10 Stamina +12 SP",
["2585"] = "+28 AP +12 Dodge",
["2586"] = "+24 Ranged AP +10 Stamina +10 Hit",
["2587"] = "+13 SP +15 Int",
["2588"] = "+18 SP +8 Hit",
["2589"] = "+18 SP +10 Stamina",
["2590"] = "+13 SP +10 Stamina +5 MP5",
["2591"] = "+10 Int +10 Stamina +12 SP",
["2603"] = "+5 Fishing",
["2604"] = "+18 SP",
["2605"] = "+18 SP",
["2606"] = "+30 AP",
["2607"] = "+12 SP",
["2608"] = "+13 SP",
["2609"] = "+15 SP",
["2610"] = "+14 SP",
["2611"] = "zzOLDBlank",
["2612"] = "+18 SP",
["2613"] = "+2% Threat",
["2614"] = "+20 Shadow SP",
["2615"] = "+20 Frost SP",
["2616"] = "+20 Fire SP",
["2617"] = "+16 SP",
["2618"] = "+15 Agi",
["2619"] = "+15 Fire Res",
["2620"] = "+15 Nature Res",
["2621"] = "2% Reduced Threat",
["2622"] = "+12 Dodge",
["2623"] = "Minor Wizard Oil",
["2624"] = "Minor Mana Oil",
["2625"] = "Lesser Mana Oil",
["2626"] = "Lesser Wizard Oil",
["2627"] = "Wizard Oil",
["2628"] = "Brilliant Wizard Oil",
["2629"] = "Brilliant Mana Oil",
["2630"] = "Deadly Poison V",
["2631"] = "Feedback 6",
["2632"] = "Rockbiter 8",
["2633"] = "Rockbiter 9",
["2634"] = "Flametongue 7",
["2635"] = "Frostbrand 6",
["2636"] = "Windfury 5",
["2637"] = "Flametongue Totem 5",
["2638"] = "Windfury Totem 4",
["2639"] = "Windfury Totem 5",
["2640"] = "Anesthetic Poison",
["2641"] = "Instant Poison VII",
["2642"] = "Deadly Poison VI",
["2643"] = "Deadly Poison VII",
["2644"] = "Wound Poison V",
["2645"] = "Firestone 5",
["2646"] = "+25 Agi",
["2647"] = "+12 Str",
["2648"] = "+12 Def",
["2649"] = "+12 Stamina",
["2650"] = "+15 SP",
["2651"] = "+12 SP",
["2652"] = "+11 SP",
["2653"] = "+36 BV",
["2654"] = "+12 Int",
["2655"] = "+15 Block",
["2656"] = "+5 Health Mana every 5 sec",
["2657"] = "+12 Agi",
["2658"] = "+10 Hit +10 Crit",
["2659"] = "+150 Health",
["2660"] = "+150 Mana",
["2661"] = "+6 All Stats",
["2662"] = "+120 Armor",
["2663"] = "+7 Resist All",
["2664"] = "+7 Resist All",
["2665"] = "+35 Spirit",
["2666"] = "+30 Int",
["2667"] = "+70 AP",
["2668"] = "+20 Str",
["2669"] = "+40 SP",
["2670"] = "+35 Agi",
["2671"] = "+50 Arcane Fire SP",
["2672"] = "+54 Shadow Frost SP",
["2673"] = "Mongoose",
["2674"] = "Spellsurge",
["2675"] = "Battlemaster",
["2676"] = "Superior Mana Oil",
["2677"] = "Superior Mana Oil",
["2678"] = "Superior Wizard Oil",
["2679"] = "8 MP5",
["2680"] = "+7 Resist All",
["2681"] = "+10 Nature Res",
["2682"] = "+10 Frost Res",
["2683"] = "+10 Shadow Res",
["2684"] = "+100 AP vs Undead",
["2685"] = "+60 SP vs Undead",
["2686"] = "+8 Str",
["2687"] = "+8 Agi",
["2688"] = "+8 Stamina",
["2689"] = "+8 mana every 5 sec.",
["2690"] = "+7 SP",
["2691"] = "+6 Str",
["2692"] = "+7 SP",
["2693"] = "+6 Agi",
["2694"] = "+6 Int",
["2695"] = "+6 Crit",
["2696"] = "+6 Def",
["2697"] = "+6 Hit",
["2698"] = "+9 Stamina",
["2699"] = "+6 Spirit",
["2700"] = "+8 SPen",
["2701"] = "+3 MP5",
["2702"] = "+12 Agi",
["2703"] = "+4 Agi per different colored gem",
["2704"] = "+12 Str if 4 blue gems equipped",
["2705"] = "+4 SP +3 Int",
["2706"] = "+3 Def +4 Stamina",
["2707"] = "+3 Int +2 Mana every 5 Sec",
["2708"] = "+4 SP +4 Stamina",
["2709"] = "+4 SP +2 MP5",
["2710"] = "+3 Agi +4 Stamina",
["2711"] = "+3 Str +4 Stamina",
["2712"] = "Sharpened (+12 Damage)",
["2713"] = "Sharpened (+14 Crit +12 Damage)",
["2714"] = "Felsteel Spike",
["2715"] = "+16 SP 6 MP5",
["2716"] = "+16 Stamina +100 Armor",
["2717"] = "+26 AP +14 Crit",
["2718"] = "Lesser Warding",
["2719"] = "Lesser Ward of Shielding",
["2720"] = "Greater Ward of Shielding",
["2721"] = "+15 SP +14 Crit",
["2722"] = "Scope (+10 Damage)",
["2723"] = "Scope (+12 Damage)",
["2724"] = "Scope (+28 Crit)",
["2725"] = "+8 Str",
["2726"] = "+8 Agi",
["2727"] = "+9 SP",
["2728"] = "+9 SP",
["2729"] = "+16 AP",
["2730"] = "+8 Dodge",
["2731"] = "+12 Stamina",
["2732"] = "+8 Spirit",
["2733"] = "+4 MP5",
["2734"] = "+8 Int",
["2735"] = "+8 Crit",
["2736"] = "+8 Crit",
["2737"] = "+8 Def",
["2738"] = "+4 Str +6 Stamina",
["2739"] = "+4 Agi +6 Stamina",
["2740"] = "+5 SP +6 Stamina",
["2741"] = "+5 SP +2 MP5",
["2742"] = "+5 SP +4 Int",
["2743"] = "+4 Def +6 Stamina",
["2744"] = "+4 Int +2 MP5",
["2745"] = "+25 SP +15 Stamina",
["2746"] = "+35 SP +20 Stamina",
["2747"] = "+25 SP +15 Stamina",
["2748"] = "+35 SP +20 Stamina",
["2749"] = "+12 Int",
["2750"] = "6 MP5",
["2751"] = "+14 Crit",
["2752"] = "+3 Crit +3 Str",
["2753"] = "+4 Crit +4 Str",
["2754"] = "+8 Parry",
["2755"] = "+3 Hit +3 Agi",
["2756"] = "+4 Hit +4 Agi",
["2757"] = "+3 Crit +4 Stamina",
["2758"] = "+4 Crit +6 Stamina",
["2759"] = "+8 Resil",
["2760"] = "+3 Crit +4 SP",
["2761"] = "+4 Crit +5 SP",
["2762"] = "+3 Crit +4 SPen",
["2763"] = "+4 Crit +5 SPen",
["2764"] = "+8 Hit",
["2765"] = "+10 SPen",
["2766"] = "+8 Int",
["2767"] = "+8 Hit",
["2768"] = "+16 SP",
["2769"] = "+11 Hit",
["2770"] = "+7 SP",
["2771"] = "+8 Crit",
["2772"] = "+14 Crit",
["2773"] = "+16 Crit",
["2774"] = "+11 Int",
["2775"] = "+11 Crit",
["2776"] = "+3 MP5",
["2777"] = "+13 Spirit",
["2778"] = "+13 SPen",
["2779"] = "+16 Spirit",
["2780"] = "+20 SPen",
["2781"] = "+19 Stamina",
["2782"] = "+10 Agi",
["2783"] = "+14 Hit",
["2784"] = "+12 Hit",
["2785"] = "+13 Hit",
["2786"] = "+7 Hit",
["2787"] = "+8 Crit",
["2788"] = "+9 Resilience",
["2789"] = "+15 Resilience",
["2790"] = "ZZOLDLesser Warding",
["2791"] = "Greater Warding",
["2792"] = "+8 Stamina",
["2793"] = "+8 Def",
["2794"] = "+4 Mana restored per 5 seconds",
["2795"] = "Comfortable Insoles",
["2796"] = "+15 Dodge",
["2797"] = "+9 Dodge",
["2798"] = "+0 Int (+$n/+$f)",
["2799"] = "+0 Stamina (+$n/+$f)",
["2800"] = "+0 Armor (+$n/+$f)",
["2801"] = "+8 Resilience",
["2802"] = "+0 Agi",
["2803"] = "+0 Stamina",
["2804"] = "+0 Int",
["2805"] = "+0 Str",
["2806"] = "+0 Spirit",
["2807"] = "+0 Arcane Damage",
["2808"] = "+0 Fire Damage",
["2809"] = "+0 Nature Damage",
["2810"] = "+0 Frost Damage",
["2811"] = "+0 Shadow Damage",
["2812"] = "+0 Healing",
["2813"] = "+0 Def",
["2814"] = "+0 Health per 5 sec.",
["2815"] = "+0 Dodge",
["2816"] = "+0 MP5",
["2817"] = "+0 Arcane Res",
["2818"] = "+0 Fire Res",
["2819"] = "+0 Frost Res",
["2820"] = "+0 Nature Res",
["2821"] = "+0 Shadow Res",
["2822"] = "+0 Crit",
["2823"] = "+0 Crit",
["2824"] = "+0 SP",
["2825"] = "+0 AP",
["2826"] = "+0 Block",
["2827"] = "+14 Crit +1% Spell Reflect",
["2828"] = "Proc Cast Speed",
["2829"] = "+24 AP +Speed",
["2830"] = "+12 Crit -10% Snare/Root Duration",
["2831"] = "+18 Stamina -15% Stun Duration",
["2832"] = "+14 SP -2% Threat",
["2833"] = "+12 Def, Proc Restore HP",
["2834"] = "+3 Melee Damage, Proc Stun",
["2835"] = "+12 Int, Proc Mana",
["2836"] = "3 MP5",
["2837"] = "+7 Spirit",
["2838"] = "+7 Crit",
["2839"] = "+14 Crit",
["2840"] = "+21 Stamina",
["2841"] = "+10 Stamina",
["2842"] = "+8 Spirit",
["2843"] = "+8 Crit",
["2844"] = "+8 Hit",
["2845"] = "+11 Hit",
["2846"] = "4 MP5",
["2847"] = "4 MP5",
["2848"] = "5 MP5",
["2849"] = "+7 Dodge",
["2850"] = "+13 Crit",
["2851"] = "+19 Stamina",
["2852"] = "7 MP5",
["2853"] = "8 MP5",
["2854"] = "3 MP5",
["2855"] = "5 MP5",
["2856"] = "+4 Resil",
["2857"] = "+2 Crit",
["2858"] = "+2 Crit",
["2859"] = "+3 Resil",
["2860"] = "+3 Hit",
["2861"] = "+3 Def",
["2862"] = "+3 Resil",
["2863"] = "+3 Int",
["2864"] = "+4 Crit",
["2865"] = "+2 MP5",
["2866"] = "+3 Spirit",
["2867"] = "+2 Resil",
["2868"] = "+6 Stamina",
["2869"] = "+4 Int",
["2870"] = "+3 Parry",
["2871"] = "+4 Dodge",
["2872"] = "+5 SP",
["2873"] = "+4 Hit",
["2874"] = "+4 Crit",
["2875"] = "+3 Crit",
["2876"] = "+3 Dodge",
["2877"] = "+4 Agi",
["2878"] = "+4 Resil",
["2879"] = "+3 Str",
["2880"] = "+3 Hit",
["2881"] = "+1 MP5",
["2882"] = "+6 Stamina",
["2883"] = "+4 Stamina",
["2884"] = "+2 Crit",
["2885"] = "+2 Crit",
["2886"] = "+2 Hit",
["2887"] = "+3 Crit",
["2888"] = "+6 BV",
["2889"] = "+5 SP",
["2890"] = "+4 Spirit",
["2891"] = "+10 Resil",
["2892"] = "+4 Str",
["2893"] = "+3 Agi",
["2894"] = "+7 Str",
["2895"] = "+4 Stamina",
["2896"] = "+8 SP",
["2897"] = "+3 Stamina +4 Crit",
["2898"] = "+3 Stamina +4 Crit",
["2899"] = "+3 Stamina +4 Crit",
["2900"] = "+4 SP",
["2901"] = "+2 SP",
["2902"] = "+2 Crit",
["2906"] = "+0 Stamina +0 Int",
["2907"] = "+2 Parry",
["2908"] = "+4 Hit",
["2909"] = "+2 Hit",
["2910"] = "+3 SP",
["2911"] = "+10 Str",
["2912"] = "+12 SP",
["2913"] = "+10 Crit",
["2914"] = "+10 Crit",
["2915"] = "+5 Str, +5 Crit",
["2916"] = "+5 Crit +6 SP",
["2917"] = "gem test enchantment",
["2918"] = "+3 Stamina, +4 Crit",
["2919"] = "+7 Str",
["2921"] = "+3 Stamina +4 Crit",
["2922"] = "+7 Str",
["2923"] = "+3 Stamina +4 Crit",
["2924"] = "+8 SP",
["2925"] = "+3 Stamina",
["2926"] = "+2 Dodge",
["2927"] = "+4 Str",
["2928"] = "+12 SP",
["2929"] = "+2 Weapon Damage",
["2930"] = "+12 SP",
["2931"] = "+4 All Stats",
["2932"] = "+4 Def",
["2933"] = "+15 Resil",
["2934"] = "+10 Crit",
["2935"] = "+15 Hit",
["2936"] = "+8 AP",
["2937"] = "+20 SP",
["2938"] = "+20 SPen",
["2939"] = "+Speed +6 Agi",
["2940"] = "+Speed +9 Stamina",
["2941"] = "+2 Hit",
["2942"] = "+6 Crit",
["2943"] = "+14 AP",
["2944"] = "+14 AP",
["2945"] = "+20 AP",
["2946"] = "+10 AP, +5 Crit",
["2947"] = "+3 Resist All",
["2948"] = "+4 Resist All",
["2949"] = "+20 AP",
["2950"] = "+10 Crit",
["2951"] = "+4 Crit",
["2952"] = "+4 Crit",
["2953"] = "+2 SP",
["2954"] = "Weighted (+12 Damage)",
["2955"] = "Weighted (+14 Crit +12 Damage)",
["2956"] = "+4 Str",
["2957"] = "+4 Agi",
["2958"] = "+5 SP",
["2959"] = "+5 SP",
["2960"] = "+8 AP",
["2961"] = "+6 Stamina",
["2962"] = "+4 Spirit",
["2963"] = "+2 MP5",
["2964"] = "+4 Int",
["2965"] = "+4 Crit",
["2966"] = "+4 Hit",
["2967"] = "+4 Crit",
["2968"] = "+4 Def",
["2969"] = "+20 AP +Speed",
["2970"] = "+12 SP +Speed",
["2971"] = "+12 AP",
["2972"] = "+4 Block",
["2973"] = "+6 AP",
["2974"] = "+4 SP",
["2975"] = "+5 BV",
["2976"] = "+2 Def",
["2977"] = "+13 Dodge",
["2978"] = "+15 Dodge +10 Def",
["2979"] = "+15 SP",
["2980"] = "+18 SP +5 MP5",
["2981"] = "+15 SP",
["2982"] = "+18 SP +10 Crit",
["2983"] = "+26 AP",
["2984"] = "+8 Shadow Resist",
["2985"] = "+8 Fire Resist",
["2986"] = "+30 AP +10 Crit",
["2987"] = "+8 Frost Resist",
["2988"] = "+8 Nature Resist",
["2989"] = "+8 Arcane Resist",
["2990"] = "+13 Def",
["2991"] = "+15 Def +10 Dodge",
["2992"] = "+6 MP5",
["2993"] = "+12 SP +8 MP5",
["2994"] = "+13 Crit",
["2995"] = "+15 Crit +12 SP",
["2996"] = "+13 Crit",
["2997"] = "+15 Crit +20 AP",
["2998"] = "+7 All Ress",
["2999"] = "+16 Def +17 Dodge",
["3000"] = "+18 Stamina, +12 Dodge, +12 Resil",
["3001"] = "+19 SP +9 MP5",
["3002"] = "+22 SP +14 Hit",
["3003"] = "+34 AP +16 Hit",
["3004"] = "+18 Stamina +20 Resil",
["3005"] = "+20 Nature Res",
["3006"] = "+20 Arcane Res",
["3007"] = "+20 Fire Res",
["3008"] = "+20 Frost Res",
["3009"] = "+20 Shadow Res",
["3010"] = "+40 AP +10 Crit",
["3011"] = "+30 Stamina +10 Agi",
["3012"] = "+50 AP +12 Crit",
["3013"] = "+40 Stamina +12 Agi",
["3014"] = "Windfury Totem 5 (L70 Testing)",
["3015"] = "+2 Str",
["3016"] = "+2 Int",
["3017"] = "+3 Block",
["3018"] = "Rockbiter 9",
["3019"] = "Rockbiter 9",
["3020"] = "Rockbiter 9",
["3021"] = "Rockbiter 1",
["3022"] = "Rockbiter 1",
["3023"] = "Rockbiter 1",
["3024"] = "Rockbiter 2",
["3025"] = "Rockbiter 2",
["3026"] = "Rockbiter 2",
["3027"] = "Rockbiter 3",
["3028"] = "Rockbiter 3",
["3029"] = "Rockbiter 3",
["3030"] = "Rockbiter 4",
["3031"] = "Rockbiter 4",
["3032"] = "Rockbiter 4",
["3033"] = "Rockbiter 5",
["3034"] = "Rockbiter 5",
["3035"] = "Rockbiter 5",
["3036"] = "Rockbiter 6",
["3037"] = "Rockbiter 6",
["3038"] = "Rockbiter 6",
["3039"] = "Rockbiter 7",
["3040"] = "Rockbiter 7",
["3041"] = "Rockbiter 7",
["3042"] = "Rockbiter 8",
["3043"] = "Rockbiter 8",
["3044"] = "Rockbiter 8",
["3045"] = "+5 Str +6 Stamina",
["3046"] = "+6 SP +4 Int",
["3047"] = "+6 Stamina +5 Crit",
["3048"] = "+5 Agi +6 Stamina",
["3049"] = "+5 Crit +2 MP5",
["3050"] = "+6 SP +4 Int",
["3051"] = "+6 SP +6 Stamina",
["3052"] = "+10 AP +4 Hit",
["3053"] = "+5 Def +4 Dodge",
["3054"] = "+6 SP +6 Stamina",
["3055"] = "+5 Agi +4 Hit",
["3056"] = "+5 Parry +4 Def",
["3057"] = "+5 Str +4 Hit",
["3058"] = "+5 Crit +2 MP5",
["3059"] = "+5 Crit 2 MP5",
["3060"] = "+5 Dodge +6 Stamina",
["3061"] = "+5 Hit +6 SP",
["3062"] = "+6 Crit +5 Dodge",
["3063"] = "+5 Parry +6 Stamina",
["3064"] = "+5 Spirit +5 SP",
["3065"] = "+8 Str",
["3066"] = "+6 SP +5 SPen",
["3067"] = "+10 AP +6 Stamina",
["3068"] = "+5 Dodge +4 Hit",
["3069"] = "+6 SP +4 Resil",
["3070"] = "+8 AP +5 Crit",
["3071"] = "+5 Int +6 Stamina",
["3072"] = "+5 Str +4 Crit",
["3073"] = "+4 Agi +5 Def",
["3074"] = "+4 Int +5 Spirit",
["3075"] = "+5 Str +4 Def",
["3076"] = "+4 Crit +6 SP",
["3077"] = "+5 Int 2 MP5",
["3078"] = "+6 Stamina +5 Def",
["3079"] = "+8 AP +5 Resil",
["3080"] = "+6 Stamina +5 Resil",
["3081"] = "+6 SP +4 Crit",
["3082"] = "+5 Def 2 MP5",
["3083"] = "+6 SP +4 Spirit",
["3084"] = "+5 Dodge +4 Resil",
["3085"] = "+6 Stamina +5 Crit",
["3086"] = "+6 SP 2 MP5",
["3087"] = "+5 Str +4 Resil",
["3088"] = "+5 Hit +6 Stamina",
["3089"] = "+5 Hit 2 MP5",
["3090"] = "+5 Parry +4 Resil",
["3091"] = "+5 Crit +5 SPen",
["3092"] = "+3 Crit",
["3093"] = "+150 AP vs Undead Demons",
["3094"] = "+4 Exp",
["3095"] = "+8 Resist All",
["3096"] = "+17 Str +16 Int",
["3097"] = "+2 Spirit",
["3098"] = "+2 SP",
["3099"] = "+6 SP +6 Stamina",
["3100"] = "+6 SP +6 Stamina",
["3101"] = "+10 AP +6 Stamina",
["3102"] = "Poison",
["3103"] = "+8 Str",
["3104"] = "+6 Hit",
["3105"] = "+8 Hit",
["3106"] = "+6 AP +4 Stamina",
["3107"] = "+8 AP +6 Stamina",
["3108"] = "+6 AP & +1 MP5onds",
["3109"] = "+8 AP +2 MP5",
["3110"] = "+3 Hit +4 SP",
["3111"] = "+4 Hit +5 SP",
["3112"] = "+4 Crit +8 AP",
["3113"] = "+3 Crit +6 AP",
["3114"] = "+4 AP",
["3115"] = "+10 Str",
["3116"] = "+10 Agi",
["3117"] = "+12 SP",
["3118"] = "+12 SP",
["3119"] = "+20 AP",
["3120"] = "+10 Dodge",
["3121"] = "+10 Parry",
["3122"] = "+15 Stamina",
["3123"] = "+10 Spirit",
["3124"] = "+5 MP5",
["3125"] = "+13 SPen",
["3126"] = "+10 Int",
["3127"] = "+10 Crit",
["3128"] = "+10 Hit",
["3129"] = "+10 Crit",
["3130"] = "+10 Def",
["3131"] = "+10 Resil",
["3132"] = "+10 Hit",
["3133"] = "+5 Str +7 Stamina",
["3134"] = "+5 Agi +7 Stamina",
["3135"] = "+10 AP +7 Stamina",
["3136"] = "+10 AP +3 MP5",
["3137"] = "+6 SP +7 Stamina",
["3138"] = "+6 SP +3 MP5",
["3139"] = "+5 Crit +5 Str",
["3140"] = "+5 Crit +6 SP",
["3141"] = "+6 SP +5 Int",
["3142"] = "+5 Hit +5 Agi",
["3143"] = "+5 Hit +6 SP",
["3144"] = "+5 Crit +10 AP",
["3145"] = "+5 Def +7 Stamina",
["3146"] = "+5 Crit +6 SPen",
["3147"] = "+5 Int +3 MP5",
["3148"] = "+5 Crit +7 Stamina",
["3149"] = "+2 Agi",
["3150"] = "+7 mana every 5 sec.",
["3151"] = "+2 SP",
["3152"] = "+2 Crit",
["3153"] = "+2 SP",
["3154"] = "+12 Agi +3% Crit Dmg",
["3155"] = "Proc Attack Speed",
["3156"] = "+8 AP +6 Stamina",
["3157"] = "+4 Int +6 Stamina",
["3158"] = "+5 SP +4 Spirit",
["3159"] = "+8 AP +4 Crit",
["3160"] = "+5 SP +4 Int",
["3161"] = "+4 Stamina +4 Crit",
["3162"] = "+24 AP +5% Stun Res",
["3163"] = "+14 SP +5% Stun Res",
["3164"] = "+3 Stamina",
["3197"] = "+20 AP",
["3198"] = "+5 SP",
["3199"] = "+170 Armor",
["3200"] = "+4 Spirit +5 SP",
["3201"] = "+4 SP +3 Spirit",
["3202"] = "+5 SP +4 Spirit",
["3204"] = "+3 Crit",
["3205"] = "+3 Crit",
["3206"] = "+8 Agi",
["3207"] = "+12 Str",
["3208"] = "+24 AP",
["3209"] = "+12 Agi",
["3210"] = "+14 SP",
["3211"] = "+14 SP",
["3212"] = "+18 Stamina",
["3213"] = "+6 MP5",
["3214"] = "+12 Spirit",
["3215"] = "+12 Resil",
["3216"] = "+12 Int",
["3217"] = "+12 Crit",
["3218"] = "+12 Hit",
["3219"] = "+12 Hit",
["3220"] = "+12 Crit",
["3221"] = "+12 Def",
["3222"] = "+20 Agi",
["3223"] = "Adamantite Weapon Chain",
["3224"] = "+6 Agi",
["3225"] = "Executioner",
["3226"] = "+4 Resil +6 Stamina",
["3227"] = "+10 Crit",
["3228"] = "+34 AP",
["3229"] = "+12 Resil",
["3230"] = "+20 Frost Res",
["3231"] = "+15 Exp",
["3232"] = "+15 Stamina +Speed",
["3233"] = "+250 Mana",
["3234"] = "+20 Hit",
["3235"] = "+12 Resist All",
["3236"] = "+200 Health",
["3237"] = "+10 Weapon Damage",
["3238"] = "Gatherer",
["3239"] = "Icebreaker Weapon",
["3240"] = "+23 SP",
["3241"] = "Lifeward",
["3242"] = "+5 Resist All",
["3243"] = "+35 SPen",
["3244"] = "+7 Health Mana every 5 sec",
["3245"] = "+20 Resil",
["3246"] = "+28 SP",
["3247"] = "+140 AP versus Undead",
["3248"] = "+18 Exp",
["3249"] = "+16 Crit",
["3250"] = "Icewalker",
["3251"] = "Giantslaying",
["3252"] = "+8 All Stats",
["3253"] = "+2% Threat +10 Parry",
["3254"] = "+4 All Stats",
["3255"] = "+55 SP",
["3256"] = "+Stealth +10 Agi",
["3257"] = "+54 SP",
["3258"] = "+18 SP",
["3259"] = "+22 Stamina",
["3260"] = "+240 Armor",
["3261"] = "+12 Crit +3% Crit Dmg",
["3262"] = "+15 Stamina",
["3263"] = "+4 Crit",
["3264"] = "+150 Armor -10% Speed",
["3265"] = "Blessed Weapon Coating",
["3266"] = "Righteous Weapon Coating",
["3267"] = "+4 Haste",
["3268"] = "+15 Stamina",
["3269"] = "+3 Fishing",
["3270"] = "+8 Haste",
["3271"] = "+4 Haste +5 SP",
["3272"] = "+4 Haste +6 Stamina",
["3273"] = "Deathfrost",
["3274"] = "+12 Def +5% Shield BV",
["3275"] = "+14 SP +2% Int",
["3276"] = "+20 AP",
["3277"] = "+12 SP",
["3278"] = "+12 SP",
["3279"] = "+3 SP",
["3280"] = "+4 Dodge +6 Stamina",
["3281"] = "+20 AP",
["3282"] = "+12 SP",
["3283"] = "+12 SP",
["3284"] = "+5 Resil +7 Stamina",
["3285"] = "+5 Haste +7 Stamina",
["3286"] = "+5 Haste +6 SP",
["3287"] = "+10 Haste",
["3288"] = "Test Riding Crop Enchant",
["3289"] = "+10% Mount Speed",
["3292"] = "+68 AP",
["3293"] = "+51 Stamina",
["3294"] = "+225 Armor",
["3295"] = "+16 Haste",
["3296"] = "+10 Spirit -2% Threat",
["3297"] = "+275 Health",
["3298"] = "Exceptional Mana Oil",
["3299"] = "Exceptional Wizard Oil",
["3300"] = "+19 SP",
["3301"] = "+6 Crit",
["3302"] = "+8 Def",
["3303"] = "+8 Haste",
["3304"] = "+8 Dodge",
["3305"] = "+12 Stamina",
["3306"] = "2 MP5",
["3307"] = "+9 Stamina",
["3308"] = "+4 Haste",
["3309"] = "+6 Haste",
["3310"] = "+6 Int",
["3311"] = "+6 Spirit",
["3312"] = "+8 Str",
["3313"] = "+8 Agi",
["3314"] = "+8 Crit",
["3315"] = "+3% Mount Speed",
["3316"] = "+6 Crit",
["3317"] = "+21 Stamina",
["3318"] = "+6 SP +5 Spirit",
["3319"] = "Test Add Sockets Enchant",
["3320"] = "Test Skill Req Enchant",
["3321"] = "+150 Armor",
["3322"] = "Frozen Rune Weapon",
["3324"] = "+10 Crit",
["3325"] = "+45 Stamina +15 Agi",
["3326"] = "+55 AP +15 Crit",
["3327"] = "+55 Stamina +22 Agi",
["3328"] = "+75 AP +22 Crit",
["3329"] = "+12 Stamina",
["3330"] = "+18 Stamina",
["3331"] = "+72 Stamina +35 Agi",
["3332"] = "+100 AP +36 Crit",
["3333"] = "QA Test Blank Purple Gem Enchant",
["3334"] = "Northrend Flight",
["3335"] = "+20 AP",
["3336"] = "+10 Crit",
["3337"] = "+10 AP +5 Crit",
["3338"] = "+6 SP +5 Crit",
["3339"] = "+12 SP",
["3340"] = "+10 Crit",
["3341"] = "Frozen Rune Weapon 2",
["3342"] = "Frozen Rune Weapon 3",
["3343"] = "Frozen Rune Weapon 4",
["3344"] = "Frozen Rune Weapon 5",
["3345"] = "Earthliving 1",
["3346"] = "Earthliving 2",
["3347"] = "Earthliving 3",
["3348"] = "Earthliving 4",
["3349"] = "Earthliving 5",
["3350"] = "Earthliving 6",
["3351"] = "+6 Hit",
["3352"] = "+8 Spirit",
["3353"] = "+8 Int",
["3354"] = "+12 Stamina",
["3355"] = "+6 Agi",
["3356"] = "+12 AP",
["3357"] = "+6 Str",
["3358"] = "+6 Dodge",
["3359"] = "+4 Parry",
["3360"] = "+8 Parry",
["3361"] = "+6 Block",
["3362"] = "+6 Exp",
["3363"] = "+9 BV",
["3364"] = "Empower Rune Weapon",
["3365"] = "Swordshattering",
["3366"] = "Lichbane",
["3367"] = "Spellshattering",
["3368"] = "Fallen Crusader",
["3369"] = "Cinderglacier",
["3370"] = "Razorice",
["3371"] = "+12 Str",
["3374"] = "+12 Agi",
["3375"] = "+24 AP",
["3376"] = "+12 Dodge",
["3377"] = "+12 Parry",
["3378"] = "+12 ArP",
["3379"] = "+12 Exp",
["3380"] = "+14 SP",
["3381"] = "+12 Int",
["3382"] = "+12 Crit",
["3383"] = "+12 Hit",
["3384"] = "+12 Def",
["3385"] = "+12 Resil",
["3386"] = "+12 Haste",
["3387"] = "+18 Stamina",
["3388"] = "+12 Spirit",
["3389"] = "+6 MP5",
["3390"] = "+15 SPen",
["3391"] = "+6 ArP +9 Stamina",
["3392"] = "+6 Str +9 Stamina",
["3393"] = "+6 Agi +9 Stamina",
["3394"] = "+7 SP +9 Stamina",
["3395"] = "+12 AP +9 Stamina",
["3396"] = "+6 Dodge +9 Stamina",
["3397"] = "+6 Parry +9 Stamina",
["3398"] = "+6 Exp +9 Stamina",
["3399"] = "+7 SP +6 Spirit",
["3400"] = "+6 Agi +3 MP5",
["3401"] = "+7 SP +3 MP5",
["3402"] = "+12 AP +3 MP5",
["3403"] = "+7 SP +8 SPen",
["3404"] = "+7 SP +6 Int",
["3405"] = "+6 Str +6 Crit",
["3406"] = "+6 Agi +6 Hit",
["3407"] = "+6 Str +6 Def",
["3408"] = "+6 Str +6 Resil",
["3409"] = "+6 Str +6 Haste",
["3410"] = "+6 Agi +6 Crit",
["3411"] = "+6 Str +6 Hit",
["3412"] = "+6 Agi +6 Resil",
["3413"] = "+6 Agi +6 Haste",
["3414"] = "+7 SP +6 Crit",
["3415"] = "+7 SP +6 Hit",
["3416"] = "+7 SP +6 Resil",
["3417"] = "+7 SP +6 Haste",
["3418"] = "+6 Dodge +6 Def",
["3419"] = "+6 Parry +6 Def",
["3420"] = "+6 Exp +6 Hit",
["3421"] = "+6 Exp +6 Def",
["3422"] = "+12 AP +6 Crit",
["3423"] = "+12 AP +6 Hit",
["3424"] = "+12 AP +6 Resil",
["3426"] = "+12 AP +6 Haste",
["3427"] = "+6 Int +9 Stamina",
["3428"] = "+6 Crit +9 Stamina",
["3429"] = "+6 Hit +9 Stamina",
["3430"] = "+6 Def +9 Stamina",
["3431"] = "+6 Resil +9 Stamina",
["3432"] = "+6 Haste +9 Stamina",
["3433"] = "+6 Int +6 Spirit",
["3434"] = "+6 Crit +6 Spirit",
["3435"] = "+6 Hit +6 Spirit",
["3436"] = "+6 Resil +6 Spirit",
["3437"] = "+6 Haste +6 Spirit",
["3438"] = "+6 Int +3 MP5",
["3439"] = "+6 Crit +3 MP5",
["3440"] = "+6 Hit +3 MP5",
["3441"] = "+6 Resil +3 MP5",
["3442"] = "+6 Haste +3 MP5",
["3443"] = "+6 Crit +8 SPen",
["3444"] = "+6 Hit +8 SPen",
["3445"] = "+6 Haste +8 SPen",
["3446"] = "+16 Str",
["3447"] = "+16 Agi",
["3448"] = "+19 SP",
["3449"] = "+32 AP",
["3450"] = "+16 Dodge",
["3451"] = "+16 Parry",
["3452"] = "+16 ArP",
["3453"] = "+16 Exp",
["3454"] = "+24 Stamina",
["3455"] = "+16 Spirit",
["3456"] = "+8 MP5",
["3457"] = "+20 SPen",
["3458"] = "+16 Int",
["3459"] = "+16 Crit",
["3460"] = "+16 Hit",
["3461"] = "+16 Def",
["3462"] = "+16 Resil",
["3463"] = "+16 Haste",
["3464"] = "+8 Str +12 Stamina",
["3465"] = "+8 Agi +12 Stamina",
["3466"] = "+9 SP +12 Stamina",
["3467"] = "+16 AP +12 Stamina",
["3468"] = "+8 Dodge +12 Stamina",
["3469"] = "+8 Parry +12 Stamina",
["3470"] = "+8 ArP +12 Stamina",
["3471"] = "+8 Exp +12 Stamina",
["3472"] = "+9 SP +8 Spirit",
["3473"] = "+9 SP +4 MP5",
["3474"] = "+8 Agi +4 MP5",
["3475"] = "+16 AP +4 MP5",
["3476"] = "+9 SP +10 SPen",
["3477"] = "+8 Str +8 Crit",
["3478"] = "+8 Str +8 Hit",
["3479"] = "+8 Str +8 Def",
["3480"] = "+8 Str +8 Resil",
["3481"] = "+8 Str +8 Haste",
["3482"] = "+8 Agi +8 Crit",
["3483"] = "+8 Agi +8 Hit",
["3484"] = "+8 Agi +8 Resil",
["3485"] = "+8 Agi +8 Haste",
["3486"] = "+9 SP +8 Int",
["3487"] = "+9 SP +8 Crit",
["3488"] = "+9 SP +8 Hit",
["3489"] = "+9 SP +8 Resil",
["3490"] = "+9 SP +8 Haste",
["3491"] = "+16 AP +8 Crit",
["3492"] = "+16 AP +8 Hit",
["3493"] = "+16 AP +8 Resil",
["3494"] = "+16 AP +8 Haste",
["3495"] = "+8 Dodge +8 Def",
["3496"] = "+8 Parry +8 Def",
["3497"] = "+8 Exp +8 Hit",
["3498"] = "+8 Exp +8 Def",
["3499"] = "+8 Int +12 Stamina",
["3500"] = "+8 Crit +12 Stamina",
["3501"] = "+8 Hit +12 Stamina",
["3502"] = "+8 Def +12 Stamina",
["3503"] = "+8 Resil +12 Stamina",
["3504"] = "+8 Haste +12 Stamina",
["3505"] = "+8 Int +8 Spirit",
["3506"] = "+8 Crit +8 Spirit",
["3507"] = "+8 Hit +8 Spirit",
["3508"] = "+8 Resil +8 Spirit",
["3509"] = "+8 Haste +8 Spirit",
["3510"] = "+8 Int +4 MP5",
["3511"] = "+8 Crit +4 MP5",
["3512"] = "+8 Hit +4 MP5",
["3513"] = "+8 Resil +4 MP5",
["3514"] = "+8 Haste +4 MP5",
["3515"] = "+8 Crit +10 SPen",
["3516"] = "+8 Hit +10 SPen",
["3517"] = "+8 Haste +10 SPen",
["3518"] = "+20 Str",
["3519"] = "+20 Agi",
["3520"] = "+23 SP",
["3521"] = "+40 AP",
["3522"] = "+20 Dodge",
["3523"] = "+20 Parry",
["3524"] = "+20 Exp",
["3525"] = "+20 ArP",
["3526"] = "+20 Int",
["3527"] = "+20 Crit",
["3528"] = "+20 Hit",
["3529"] = "+20 Def",
["3530"] = "+20 Resil",
["3531"] = "+20 Haste",
["3532"] = "+30 Stamina",
["3533"] = "+20 Spirit",
["3534"] = "+10 MP5",
["3535"] = "+25 SPen",
["3536"] = "+10 Str +15 Stamina",
["3537"] = "+10 Agi +15 Stamina",
["3538"] = "+12 SP +15 Stamina",
["3539"] = "+20 AP +15 Stamina",
["3540"] = "+10 Dodge +15 Stamina",
["3541"] = "+10 Parry +15 Stamina",
["3542"] = "+10 Exp +15 Stamina",
["3543"] = "+10 ArP +15 Stamina",
["3544"] = "+10 Agi +5 MP5",
["3545"] = "+12 SP +10 Spirit",
["3546"] = "+12 SP +5 MP5",
["3547"] = "+20 AP +5 MP5",
["3548"] = "+12 SP +13 SPen",
["3549"] = "+10 Str +10 Crit",
["3550"] = "+10 Str +10 Hit",
["3551"] = "+10 Str +10 Def",
["3552"] = "+10 Str +10 Resil",
["3553"] = "+10 Str +10 Haste",
["3554"] = "+10 Agi +10 Crit",
["3555"] = "+10 Agi +10 Hit",
["3556"] = "+10 Agi +10 Resil",
["3557"] = "+10 Agi +10 Haste",
["3558"] = "+12 SP +10 Int",
["3559"] = "+12 SP +10 Crit",
["3560"] = "+12 SP +10 Hit",
["3561"] = "+12 SP +10 Resil",
["3563"] = "+12 SP +10 Haste",
["3564"] = "+20 AP +10 Crit",
["3565"] = "+20 AP +10 Hit",
["3566"] = "+20 AP +10 Resil",
["3567"] = "+20 AP +10 Haste",
["3568"] = "+10 Dodge +10 Def",
["3569"] = "+10 Parry +10 Def",
["3570"] = "+10 Exp +10 Hit",
["3571"] = "+10 Exp +10 Def",
["3572"] = "+10 Int +15 Stamina",
["3573"] = "+10 Crit +15 Stamina",
["3574"] = "+10 Hit +15 Stamina",
["3575"] = "+10 Def +15 Stamina",
["3576"] = "+10 Resil +15 Stamina",
["3577"] = "+10 Haste +15 Stamina",
["3578"] = "+10 Int +10 Spirit",
["3579"] = "+10 Crit +10 Spirit",
["3580"] = "+10 Hit +10 Spirit",
["3581"] = "+10 Resil +10 Spirit",
["3582"] = "+10 Haste +10 Spirit",
["3583"] = "+10 Int +5 MP5",
["3584"] = "+10 Crit +5 MP5",
["3585"] = "+10 Hit +5 MP5",
["3586"] = "+10 Resil +5 MP5",
["3587"] = "+10 Haste +5 MP5",
["3588"] = "+10 Crit +13 SPen",
["3589"] = "+10 Hit +13 SPen",
["3590"] = "+10 Haste +13 SPen",
["3591"] = "Test +4 Int +2 MP5",
["3592"] = "+100 SP vs Undead",
["3593"] = "+170 AP vs Undead",
["3594"] = "Swordbreaking",
["3595"] = "Spellbreaking",
["3596"] = "+5 SP",
["3597"] = "Master Firestone",
["3600"] = "+6 Resil",
["3602"] = "+7 SP",
["3607"] = "+40 Ranged Haste",
["3608"] = "+40 Ranged Critical Strike",
["3609"] = "Lesser Firestone",
["3610"] = "Firestone",
["3611"] = "Greater Firestone",
["3612"] = "Major Firestone",
["3613"] = "Fel Firestone",
["3614"] = "Grand Firestone",
["3615"] = "Spellstone",
["3616"] = "Greater Spellstone",
["3617"] = "Major Spellstone",
["3618"] = "Master Spellstone",
["3619"] = "Demonic Spellstone",
["3620"] = "Grand Spellstone",
["3621"] = "+21 Crit +3% Crit Dmg",
["3622"] = "+25 Crit +1% Spell Reflect",
["3623"] = "+25 SP +2% Int",
["3624"] = "+21 Crit -10% Snare/Root Duration",
["3625"] = "+42 AP +Speed",
["3626"] = "+25 SP -2% Threat",
["3627"] = "+21 Int, Proc Mana",
["3628"] = "+21 Agi +3% Crit Dmg",
["3630"] = "+21 Def, Proc Restore HP",
["3631"] = "+21 Def +5% Shield BV",
["3632"] = "+25 SP +Speed",
["3633"] = "+11 MP5 +3% Crit Heal",
["3634"] = "+32 Stamina -2% Spell Damage Taken",
["3635"] = "+25 SP -10% Silence Duration",
["3636"] = "+21 Crit -10% Fear Duration",
["3637"] = "+32 Stamina +2% Armor",
["3638"] = "+42 AP -10% Stun Duration",
["3639"] = "+25 SP -10% Stun Duration",
["3640"] = "+42 AP, Crit Proc Restore HP",
["3641"] = "+21 Crit +2% Mana",
["3642"] = "+32 Stamina -10% Stun Duration",
["3643"] = "Proc Attack Speed",
["3644"] = "+14 Agi",
["3646"] = "+14 Dodge",
["3647"] = "+14 Exp",
["3648"] = "+14 Parry",
["3649"] = "+14 Str",
["3650"] = "+16 SP",
["3651"] = "+28 AP",
["3652"] = "+14 ArP",
["3653"] = "+14 Spirit",
["3654"] = "+7 MP5",
["3655"] = "+21 Stamina",
["3656"] = "+18 SPen",
["3657"] = "+14 Crit",
["3658"] = "+14 Def",
["3659"] = "+14 Haste",
["3660"] = "+14 Hit",
["3661"] = "+14 Int",
["3662"] = "+14 Resil",
["3663"] = "+14 AP +4 MP5",
["3664"] = "+14 AP +11 Stamina",
["3665"] = "+7 ArP +11 Stamina",
["3666"] = "+7 Agi +4 MP5",
["3667"] = "+7 Agi +11 Stamina",
["3668"] = "+7 Dodge +11 Stamina",
["3669"] = "+7 Exp +11 Stamina",
["3670"] = "+7 Parry +11 Stamina",
["3671"] = "+7 Str +11 Stamina",
["3672"] = "+8 SP +4 MP5",
["3673"] = "+8 SP +7 Spirit",
["3674"] = "+8 SP +9 SPen",
["3675"] = "+8 SP +11 Stamina",
["3676"] = "+14 AP +7 Crit (OLD)",
["3677"] = "+7 Agi +7 Haste",
["3678"] = "+14 AP +7 Haste",
["3679"] = "+14 AP +7 Hit",
["3680"] = "+14 AP +7 Resil",
["3681"] = "+7 Str +7 Crit",
["3682"] = "+7 Str +7 Hit",
["3683"] = "+7 Str +7 Def",
["3684"] = "+7 Str +7 Resil",
["3685"] = "+7 Str +7 Haste",
["3686"] = "+7 Agi +7 Crit",
["3687"] = "+7 Agi +7 Hit",
["3688"] = "+7 Agi +7 Resil",
["3689"] = "+8 SP +7 Int",
["3690"] = "+8 SP +7 Crit",
["3691"] = "+8 SP +7 Hit",
["3692"] = "+8 SP +7 Resil",
["3693"] = "+8 SP +7 Haste",
["3694"] = "+7 Dodge +7 Def",
["3695"] = "+7 Parry +7 Def",
["3696"] = "+7 Exp +7 Hit",
["3697"] = "+7 Exp +7 Def",
["3698"] = "+7 Crit +7 Spirit",
["3699"] = "+7 Crit +11 Stamina",
["3700"] = "+7 Def +11 Stamina",
["3701"] = "+7 Haste +7 Spirit",
["3702"] = "+7 Haste +11 Stamina",
["3703"] = "+7 Hit +7 Spirit",
["3704"] = "+7 Hit +11 Stamina",
["3705"] = "+7 Int +7 Spirit",
["3706"] = "+7 Int +11 Stamina",
["3707"] = "+7 Resil +7 Spirit",
["3708"] = "+7 Resil +11 Stamina",
["3709"] = "+7 Crit +9 SPen",
["3710"] = "+7 Crit +4 MP5",
["3711"] = "+7 Int +4 MP5",
["3712"] = "+7 Hit +4 MP5",
["3713"] = "+7 Resil +4 MP5",
["3714"] = "+7 Haste +4 MP5",
["3715"] = "+7 Hit +9 SPen",
["3716"] = "+7 Haste +9 SPen",
["3717"] = "Socket Bracer",
["3718"] = "+35 SP +12 Spirit",
["3719"] = "+50 SP +20 Spirit",
["3720"] = "+35 SP +20 Stamina",
["3721"] = "+50 SP +30 Stamina",
["3722"] = "Lightweave Embroidery",
["3723"] = "Socket Gloves",
["3726"] = "+0 Haste",
["3727"] = "+0 Hit",
["3728"] = "Darkglow Embroidery",
["3729"] = "Socket Belt",
["3730"] = "Swordguard Embroidery",
["3731"] = "Titanium Weapon Chain",
["3732"] = "+34 Str",
["3733"] = "+34 Agi",
["3734"] = "+39 SP",
["3735"] = "+34 Spirit",
["3736"] = "+17 MP5",
["3737"] = "+34 Int",
["3738"] = "+34 Crit",
["3739"] = "+34 Haste",
["3740"] = "+34 Dodge",
["3741"] = "+34 Parry",
["3742"] = "+34 Hit",
["3743"] = "+34 Def",
["3744"] = "+34 Resil",
["3745"] = "+34 ArP",
["3746"] = "+34 Exp",
["3747"] = "+43 SPen",
["3748"] = "Titanium Spike (45-67)",
["3749"] = "+4 to All Stats",
["3750"] = "+6 to All Stats",
["3751"] = "+6 Def",
["3752"] = "+5 SP",
["3753"] = "+9 SP",
["3754"] = "+24 AP +10 Stamina +10 Hit",
["3755"] = "+28 AP +12 Dodge",
["3756"] = "+130 AP",
["3757"] = "+102 Stamina",
["3758"] = "+76 SP",
["3759"] = "+70 Fire Res",
["3760"] = "+70 Frost Res",
["3761"] = "+70 Shadow Res",
["3762"] = "+70 Nature Res",
["3763"] = "+70 Arcane Res",
["3764"] = "+12 AP",
["3765"] = "+4 ArP",
["3766"] = "+12 Stamina",
["3767"] = "+14 AP +7 Crit",
["3768"] = "Instant Poison VIII",
["3769"] = "Instant Poison IX",
["3770"] = "Deadly Poison VIII",
["3771"] = "Deadly Poison IX",
["3772"] = "Wound Poison VI",
["3773"] = "Wound Poison VII",
["3774"] = "Anesthetic Poison II",
["3775"] = "+30 SP +15 Crit",
["3776"] = "+45 AP +15 Crit",
["3777"] = "+20 Def +15 Dodge",
["3778"] = "+8 Exp",
["3779"] = "Flametongue 8",
["3780"] = "Flametongue 9",
["3781"] = "Flametongue 10",
["3782"] = "Frostbrand 7",
["3783"] = "Frostbrand 8",
["3784"] = "Frostbrand 9",
["3785"] = "Windfury 6",
["3786"] = "Windfury 7",
["3787"] = "Windfury 8",
["3788"] = "+25 Hit +25 Crit",
["3789"] = "Berserking",
["3790"] = "Black Magic",
["3791"] = "+30 Stamina",
["3792"] = "+20 Resil",
["3793"] = "+40 AP +15 Resil",
["3794"] = "+23 SP +15 Resil",
["3795"] = "+50 AP +20 Resil",
["3796"] = "+29 SP +20 Resil",
["3797"] = "+29 SP +20 Resil",
["3798"] = "+34 AP +Speed",
["3799"] = "+20 SP +Speed",
["3800"] = "+17 Crit -10% Fear Duration",
["3801"] = "+17 Crit -10% Snare/Root Duration",
["3802"] = "+20 SP -10% Silence Duration",
["3803"] = "+34 AP -10% Stun Duration",
["3804"] = "+26 Stamina -10% Stun Duration",
["3805"] = "+20 SP -10% Stun Duration",
["3806"] = "+18 SP +10 Crit",
["3807"] = "+18 SP +5 MP5",
["3808"] = "+40 AP +15 Crit",
["3809"] = "+24 SP +8 MP5",
["3810"] = "+24 SP +15 Crit",
["3811"] = "+20 Dodge +15 Def",
["3812"] = "+25 Frost Res +30 Stamina",
["3813"] = "+25 Nature Res +30 Stamina",
["3814"] = "+25 Shadow Res +30 Stamina",
["3815"] = "+25 Arcane Res +30 Stamina",
["3816"] = "+25 Fire Res +30 Stamina",
["3817"] = "+50 AP +20 Crit",
["3818"] = "+37 Stamina +20 Def",
["3819"] = "+30 SP 10 MP5onds.",
["3820"] = "+30 SP +20 Crit",
["3821"] = "+8 Resil",
["3822"] = "+55 Stamina +22 Agi",
["3823"] = "+75 AP +22 Crit",
["3824"] = "+24 AP",
["3825"] = "+15 Haste",
["3826"] = "+12 Hit +12 Crit",
["3827"] = "+110 AP",
["3828"] = "+85 AP",
["3829"] = "+35 AP",
["3830"] = "+50 SP",
["3831"] = "+23 Haste",
["3832"] = "+10 All Stats",
["3833"] = "+65 AP",
["3834"] = "+63 SP",
["3835"] = "+120 AP +15 Crit",
["3836"] = "+70 SP +6 Mana/5 seconds",
["3837"] = "+60 Dodge +15 Def",
["3838"] = "+70 SP +15 Crit",
["3839"] = "+40 AP",
["3840"] = "+23 SP",
["3841"] = "+23 SP",
["3842"] = "+30 Stamina +25 Resil",
["3843"] = "Scope (+15 Damage)",
["3844"] = "+45 Spirit",
["3845"] = "+50 AP",
["3846"] = "+40 SP",
["3847"] = "Stoneskin Gargoyle",
["3848"] = "Socket Staff",
["3849"] = "Titanium Plating",
["3850"] = "+40 Stamina",
["3851"] = "+50 Stamina",
["3852"] = "+30 Stamina +15 Resil",
["3853"] = "+40 Resil +28 Stamina",
["3854"] = "+81 SP",
["3855"] = "+69 SP",
["3856"] = "+100 Agi",
["3857"] = "+6 Def",
["3858"] = "+5 Hit",
["3860"] = "+885 Armor",
["3861"] = "+20 Str",
["3862"] = "+20 Agi",
["3863"] = "+30 Stamina",
["3864"] = "+20 Spirit",
["3865"] = "+20 Int",
["3866"] = "+23 SP",
["3867"] = "+20 Hit",
["3868"] = "Fishing Lure (+100 Fishing Skill)",
["3869"] = "Blade Ward",
["3870"] = "Blood Draining",
["3871"] = "+6 Parry",
["3872"] = "+50 SP +20 Spirit",
["3873"] = "+50 SP +30 Stamina",
["3874"] = "+130 AP",
["3875"] = "+30 AP +10 Crit",
["3876"] = "+15 Dodge +10 Def",
["3877"] = "+16 AP",
["3879"] = "+10 All Stats",
["3880"] = "+6 ArP",
["3881"] = "+17 MP5",
["3882"] = "+8 ArP",
["3883"] = "Nerubian Carapace",
["3884"] = "+24 Stamina +24 Agi"}